2006-07-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h (__INFF,__INFL): Remove '#'. 

2006-07-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/Makefile.in: Add -I$(srcdir)/.. to INCLUDES.

2006-07-03  Danny Smith  <dannysmith@users.sourceforge.net>

	Support SSE float environment in fenv.h functions.  
	* cpu_features.c: New file.
	* cpu_features.h: New file.
	* crt1.c: Include "cpu_features.h".
	(__mingw_CRTStartup): Call cpu_features_init().	
	* Makefile.in (MING_OBJS): Add cpu_features.c.
	(SRCDIST_FILES): Add cpu_features.c, cpu_features.h.
	* include/fenv,h ( fenv_t;): Append  __mxcsr field.
	(__MXCSR_EXCEPT_FLAG_SHIFT): New define.
	(__MXCSR_EXCEPT_MASK_SHIFT): New define.
	(__MXCSR_ROUND_FLAG_SHIFT): New define.
	* mingwex/feclearexcept.c: Include "cpu_features.h".
	Handle SSE environment.
	* mingwex/fegetenv.c: Likewise.
	* mingwex/feholdexcept.c: Likewise.
	* mingwex/fesetenv.c: Likewise.
	* mingwex/fesetexceptflag.c: Likewise.
	* mingwex/fesetround.c: Likewise.
	* mingwex/fetestexcept.c: Likewise.
	* mingwex/feupdateenv.c: Likewise.
	* mingwex/fegetround.c: Add comment.


2006-06-25  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* Include/_mingw.h: Increment version to 3.10.
	* Makefile.in: Ditto.

2006-06-26 Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/tgamma.c (SQTPI): Add braces.

2006-06-26 Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/wcrtomb.c (wcsrtombs): Fix src end-pointer thinko.
	* mingwex/math/lgamma.c: (LOGPI) Avoid type punning.
	(LS2PI): Likewise.
        * mingwex/math/sf_erf.c (erff): Initialize z.
        (erfcf): Likewise.
	* mingwex/math/tgamma.c (SQTPI): Avoid type punning.

2006-06-25  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* Include/_mingw.h: Increment version to 3.10.
	* Makefile.in: Ditto.

2006-06-23 Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sys/time.h (struct timezone): Define.
	* include/time.h: Correct comment about timezone.

2006-06-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* configure.in (AC_CONFIG_AUX_DIR): Remove.
	* configure: Regenerate.

2006-06-18  Chris Sutcliffe  <ir0n3h4d@users.sourceforge.net>

	* configure: add srcdir as a possible location for install-sh.

2006-06-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/dirent.c (_tGetFileAttributes): New helper function.
	(_topendir): Use it.

2006-06-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sys/time.h: Add header guard.  Add extern "C" bracketing
	for __cplusplus.
	(gettimeofday): Add prototype.
	* mingwex/gettimeofday.c: New file.
	* mingwex/makefile.in: Add gettimeofday source and object.

2006-06-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h (HUGE_VAL): Define as builtin if __GNUC__ >= 3.3,
	else global library variable.
	(HUGEVALF): Likewise.
	(HUGEVALL): Likewise.
	(INFINITY): Likewise.
	(NAN): LiKewise.

2006-06-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/wcrtomb.c (wcrtomb_cp): Correct typo.

2006-06-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* Makefile.in (SUBDIRS): Change to lowercase for autoconf 2.59.

2006-05-24  Christopher Faylor  <cgf@timesys.com>

	* configure.in: Update to newer autoconf.
	(thanks to Steve Ellcey)
	* mingwex/configure.in: Ditto.
	* profile/configure.in: Ditto.
	* configure: Regenerate.
	* mingwex/configure: Ditto.
	* profile/configure: Ditto.
	* aclocal.m4: New file.
	* mingwex/aclocal.m4: Ditto.
	* profile/aclocal.m4: Ditto.

2006-05-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/wcrtomb.c (wcrtomb_cp): Test (wc > 255) only if C locale.
	Use supplied codepage as arg to WideCharToMultiByte.

2006-02-13  Earnie Boyd  <earnie@users.sf.net>

	* Makefile.in (libmsvcr80.a): Add import lib.
	(libmsvcr80d.a): Ditto.

2006-01-18  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* Makefile.in: Bump cygwin build number.

2005-10-27  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* Include/_mingw.h: Increment version to 3.9.
	* Makefile.in: Ditto.

2005-10-14  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/limits.h (SSIZE_MAX): Define.
	(LLONG_MAX, LLONG_MIN, ULLONG_MAX): Separate from non-ISO names.

2005-10-13  Wu Yongwei  <adah@users.sourceforge.net>

	* include/tchar.h: Include <wchar.h> when _UNICODE is defined.
	(_TEOF): New macro definition for _UNICODE and non_UNICODE cases.

2005-10-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stddef.h: Remove.
	* include/stdarg.h: Remove.

2005-10-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/complex/csqrt.c (csqrt): The sign of real part
	of result is positive when real part of arg == 0;
	* mingwex/complex/csqrtf.c (csqrtf): Ditto.
	* mingwex/complex/csqrtl.c (csqrtl): Ditto.

2005-10-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/time.h (_time64): Correct prototype.

2005-10-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/fegetenv.c (fegetenv): Restore exception masks.
	* mingwex/feholdexcept.c (feholdexcept): Don't set exceptions
	to non-stop. Use "fnclex" to clear exception flags.

2005-09-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h (HUGE_VALF, HUGE_VALL, INFINITY, NAN)
	Avoid raising FP exceptions.

2005-09-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h (strtof): Add prototype.  Uglify
	parameter names in inline definition.
	(wcstof): Likewise.
	(_Exit): Uglify	parameter names in inline definition.
	(llabs): Add prototype.
	(_set_error_mode): Add prototype and input defines.

2005-08-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/fe*.c: Revert previous changes.
	* include/fenv.h: Revert previous changes.

2005-08-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/feclearexcept.c (feclearexcept): Change declaration.
	Do not return a value.
	* mingwex/fegetexceptflag.c (fegetexceptflag): Likewise.
	* mingwex/feraiseexcept.c (feraiseexcept): Likewise.
	* mingwex/fesetexceptflag.c (fesetexceptflag): Likewise.
	* mingwex/fegetenv.c (fegetenv): Likewise.
	* mingwex/fesetenv.c (fesetenv): Likewise.
	* mingwex/feupdateenv.c (feupdateenv): Likewise.
	* include/fenv.h (feclearexcept, fegetexceptflag, feraiseexcept,
	fesetexceptflag, fegetenv, fesetenv, feupdateenv): Correct
	prototypes.

2005-08-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/stdio/fseeko64.c (fseeko64): Flush stream before
	getting filelength for SEEK_END.

2005-08-13  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* Include/_mingw.h: Increment version to 3.8.
	* Makefile.in: Ditto.

2005-08-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wctype.h (towupper, towlower): Change arg and return value
	types to wint_t.
	* include/ctype.h (towupper, towlower): Likewise.

2005-08-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* mthr_stub.c (__mingwthr_key_dtor): Replace assert(0) with
	a diagnostic, guarded by #ifdef DEBUG.
	(__mingwthr_remove_key_dtor): Likewise.

2005-08-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* moldname.def.in (sleep, beep, seterrormode): Remove.

2005-06-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* profile/profile.h (_MCOUNT_CALL): Define as regparm(2)
	(_MCOUNT_DECL): Use it.
	(MCOUNT): Save and restore eax, ecx, edx registers.
	* profile/mcount.c (_mcount): ANSI-fy.

2005-06-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (__MINGW_GNUC_PREREQ): Define. Use to
	guard __MINGW_ATTRIB macro definitions.
	* include/math.h (logb[fl]):  Don't define inlines for
	GCC-4.0+ && __FAST_MATH__.
	(rint[fl], lrint[fl], llrint[fl]); Likewise.  Clean up
	line-continuation backslashes.

2005-06-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (__MINGW_ATTRIBUTE_NONNULL): Fix typo
	in GNUC version guard.

2005-05-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* crt1.c (_gnu_exception_handler): Handle illegal instruction
	OS exception as a signal if user has defined a SIGILL handler.

2005-05-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/nexttoward.c: New file.
	* mingwex/math/nexttowardf.c: New file.
	* mingwex/math/nextafterl.c: Add nexttowardl alias.
	* mingwex/Makefile.in (MATH_DISTFILES): Add nexttoward.c,
	mexttowardf.c,
	(MATH_OBJS):  Add nexttoward.o,	nexttowardf.o,
	* include/math.h (nexttoward, nextowardf, nexttowardl): Add
	prototypes.

2005-05-09  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/nextafterf.c (nextafterf): Correct
	handling of -0.0.
	* mingwex/math/nextafterl.c: New file.
	* mingwex/Makefile.in (MATH_DISTFILES): Add nextafterl.c.
	(MATH_OBJS): Add nextafterl.o.
	* include/math.h (nextafterl): Uncomment prototype.

2005-05-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/erfl.c: New file.
	* mingwex/Makefile.in (MATH_DISTFILES): Add erfl.c.
	(MATH_OBJS): Add erfl.o.
	* include/math.h (erfl, erfcl): Uncomment prototypes.

2005-05-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wchar.h (WCHAR_MAX): Define as 0xffff, so preprocessor
	#if (WCHAR_MAX <= WCHAR_MIN) is false.
	* include/stdint.h (WCHAR_MAX): Likwise.
	(WINT_MAX): Likewise.

2005-05-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/signbit.c (__signbit):  Make return value
	consistent with GCC's __builtin_signbit.
	* mingwex/math/signbitf.c (__signbitf):  Likewise.
	* mingwex/math/signbitf.c (__signbitl):  Likewise.
	* include/math.h (__signbit, __signbitf, __signbitl): Likewise
	for inlines.

2005-05-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (__MINGW_ATTRIB_NONNULL): Don't define as
	variadic macro.
	* mingwex/mbrtowc.c (__mbrtowc_cp): Use __MINGW_ATTRIB_NONNULL.
	Remove unused MBTOWC_FLAGS define.

2005-04-23  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/mbrtowc.c: New file.
	* mingwex/wcrtomb.c: New file.
	* mingwex/btowc.c: New file.
	* mingwex/wctob.c: New file.
	* mingwex/mb_wc_common.h: New file.
	* mingwex/Makefile.in (DISTFILES): Add new files.
	(Q8_OBJS): Add new objects.
	* include/wchar.h: Adjust comment about mbrtowc() and related
	funcions. Add __restrict__ to pointer params in prototypes.
	(wmemset. wmemchr, wmemcpy, wmemmove, wcstoll, wcstoull): Remove
	arg names from protototypes.

2005-04-23  Wu Yongwei  <adah@sh163.net>

	* mingwex/dirent.c: Formatting changes.
	* mingwex/dirent.c (_topendir): Make the end-of-path slash check
	MBCS-safe.

2005-03-31  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (__MINGW_ATTRIB_NONNULL): Define.

2005-03-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (__mingw_fwrite): Change return value to
	size_t.
	* mingwex/mingw-fseek.c (__mingw_fwrite): Likewise.

2005-03-15  Hans Leidekker  <hans@it.vu.nl>

	* include/malloc.h (_FREEENTRY, _USEDENTRY): Correct defines.

2005-02-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wctype.h (wctrans): Remove _CRTIMP.
	(towctrans): Likewise.
	(wctype): Likewise,

2005-02-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wctype.h:  Add comment on wctrans, towctrans, wctype.

2005-02-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/wctype.c: New file.
	* mingwex/wctrans.c: New file.
	* mingwex/Makefile.in (DISTFILES): Add wctype.c, wctrans.c.
	* mingwex/Makefile.in (Q8_OBJS): Add wctype.o, wctrans.o.

2005-02-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h (_tstat64, _tstati64): Add Unicode/ANSI mappings.

2005-02-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/assert.h: Remove header guard.  #undef assert macro.
	(_assert): Use __MINGW_ATTRIB_NORETURN define.

2005-02-11  Gregory W. Chicares  <chicares@cox.net>
            Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h (expm1, expm1f, expmll): Add prototypes.
	* mingwex/Makefile.in (MATH_DISTFILES): Add expm1.c,
	expm1f.c, expm1l.c.
	(MATH_OBJS): Add expm1.o, expm1f.o, expm1l.o.
	* mingwex/math/expm1.c: New file.
	* mingwex/math/expm1f.c: New file.
	* mingwex/math/expm1l.c: New file.

2005-02-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sys/stat.h (struct stat): Guard with _NO_OLDNAMES.
	* include/wchar.h (struct stat): Likwwise.
	Bug reported to Debian by Anand Kumria  <wildfire@progsoc.org>

	* include/sys/stat.h: Remove empty __STRICT_ANSI__ guard.

2005-02-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/strtold.c (__asctoe64): Set endptr to 'e' if exponent
	string is not valid.

2005-01-26  Oliver Stoeneberg  <oliverst@online.de>

	* include/malloc.h: Add missing return code defines for
	_heapwalk()

2005-01-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sys/stat.h (struct __stat64): Change st_size type to
	 __int64.
	* include/wchar.h (struct __stat64): Change st_size type to __int64.

2005-01-13  Earnie Boyd  <earnie@users.sf.net>

	* include/sys/stat.h (_S_IFLNK, S_IFLNK, _S_ISLNK, S_ISLNK, _lstat,
	lstat): Remove.
	* include/errno.h (ELOOP): Ditto.
	* include/_mingw.h: Increment version to 3.7.
	* Makefile.in: Ditto.

2005-01-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h (_tfreopen): Add UNICODE mappings.

2005-01-11  Earnie Boyd  <earnie@users.sf.net>

	* include/sys/stat.h (_S_IFLNK, S_IFLNK, _S_ISLNK, S_ISLNK, _lstat,
	lstat): Conditionalize defines for __STRICT_ANSI__.

2005-01-10  Earnie Boyd  <earnie@users.sf.net>

	* include/errno.h (ELOOP): Add definition.

2005-01-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/complex/(cabsl.c cacosl.c cacoshl.c cargl.c casinl.c
	casinhl.c catanl.c catanhl.c ccosl.c ccoshl.c cexpl.c cimagl.c
	clogl.c cpowl.c cprojl.c creall.c csinl.c csinhl.c csqrtl.c
	ctanl.c ctanhl.c): New files.
	* mingwex/Makefile.in (COMPLEX_DISTFILES): Adjust.
	(COMPLEX_OBJS): Adjust.
	* include/complex.h (cabsl, cacosl, cacoshl, cargl, casinf.
	casinhl, catanl, catanhl, ccosl, ccoshl, cexpl, cimagl, clogl,
	cpowl, cprojl, creall, csinl, csinhl, csqrtl, ctanl, ctanhl):
	Declare.

2005-01-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (__int16): Define as short.
	Thanks to: Leo Yuriev  <leoyuriev at users dot sf dot net>

2005-01-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (P_tmpdir): Add define.

2005-01-03  Earnie Boyd  <earnie@users.sf.net>

	* Makefile.in (inst_docdir): For Cygwin target set to share/doc/.

2005-01-02  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Increment version to 3.6
	* Makefile.in: Ditto

2004-12-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/complex/(cabsf.c cacosf.c cacoshf.c cargf.c casinf.c
	casinhf.c catanf.c catanhf.c ccosf.c ccoshf.c cexpf.c cimagf.c
	clogf.c cpowf.c cprojf.c crealf.c csinf.c csinhf.c csqrtf.c
	ctanf.c ctanhf.c): New files.
	* mingwex/Makefile.in (COMPLEX_DISTFILES): Adjust.
	(COMPLEX_OBJS): Adjust.
	* include/complex.h (cabsf, cacosf, cacoshf, cargf, casinf.
	casinhf, catanf, catanhf, ccosf, ccoshf, cexpf, cimagf, clogf,
	cpowf, cprojf, crealf, csinf, csinhf, csqrtf, ctanf, ctanhf):
	Declare.

2004-12-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wchar.h (wcsdup): Correct prototype.
	* include/string.h (wcsdup): Correct prototype.

2004-10-14  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sys/stat.h: Make S_ISLNK comment comply with ISO C90.

2004-10-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/fastmath.h: New file.
	* mingwex/math/asinh.c: New file.
	* mingwex/math/asinhf.c: New file.
	* mingwex/math/asinhl.c: New file.
	* mingwex/math/acosh.c: New file.
	* mingwex/math/acoshf.c: New file.
	* mingwex/math/acoshl.c: New file.
	* mingwex/math/atanh.c: New file.
	* mingwex/math/atanhf.c: New file.
	* include/math.h (asinh, asinhf, asinhl, acosh, acoshf, acoshl,
	atanh, atanhf, atanhl): Add prototypes.
	* mingwex/Makefile.in (MATH_OBJS): Add objects for above to list.
	(MATH_DISTFILES): Add sources for above and fastmath.h to list.
	Specify dependency on fastmath.h for new objects.

2004-09-08  Earnie Boyd  <earnie@users.sf.net>

	* include/sys/stat.h (_S_IFLNK): Add definition.
	(S_IFLNK) Ditto.
	(_lstat) Ditto.
	(lstat) Ditto.
	(_S_ISLNK) Recode.
	(S_ISLNK) Ditto.

2004-09-08  Earnie Boyd  <earnie@users.sf.net>

	* include/sys/stat.h (_S_ISLNK): Add definition.
	(S_ISLNK): Ditto.

2004-09-05  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Increment minor version for 3.5 release.
	* Makefile.in: Ditto.
	* mingwex/Makefile.in: Correct typo in list of DISTFILES.

2004-08-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/malloc.h (__mingw_aligned_offset_malloc,
	__mingw_aligned_offset_realloc, __mingw_aligned_malloc,
	__mingw_aligned_realloc, __mingw_aligned_free): Add
	prototypes.
	* mingwex/Makefile.in (DISTFILES): Add mingw-aligned-malloc.c,
	tst-aligned-malloc.c.
	(REPLACE_OBJS): Add mingw-aligned-malloc.o.

2004-08-24  Steven G. Johnson  <stevenj@alum.mit.edu>

	* mingwex/mingw-aligned-malloc.c: New file.
	* mingwex/tst-aligned-malloc.c: New file.

2004-08-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* crt1.c: (__mingw_CRTStartup): Change return to void.  Add
	noreturn attribute. Align stack to 16 bytes before passing args
	to main.
	(mainCRTStartup): Change return to void.
	(WinMainCRTStartup): Likewise.


2004-08-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* profile/COPYING: New file.
	* profile/CYGWIN_LICENSE: New file.
	* profile/Makefile.in (DISTFILES): Add COPYING, CYGWIN_LICENSE.

2004-08-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/fopen64.c: Move.
	* mingwex/fseeko64.c: Move.
	* mingwex/ftello64.c: Move.
	* mingwex/lseek64.c: Move.
	* mingwex/stdio/fopen64.c: To here.
	* mingwex/stdio/fseeko64.c: To here.
	* mingwex/stdio/ftello64.c: To here.
	* mingwex/stdio/lseek64.c: To here.

2004-08-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* profile/gmon.c [__MINGW32__]: Include  string.h for
	memset prototype.

2004-08-08  Christopher Faylor  <cgf@timesys.com>

	* mingwex/stdio/vwscanf.c: Add stdio.h needed after 2004-08-07 change.

2004-08-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/complex.h:  Remove __attribute__ ((const)) from
	transcendantal and trig functions.  Replace __attribute__ ((const))
	with __MINGW_ATTRIB_CONST on other declarations.

2004-08-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wchar.h: Reorganize, avoid including other headers.

2004-08-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/string.h (memchr, memcmp, strchr, strcmp, strcspn)
	(strlen, strncmp, strpbrk, strrchr, strspn, strstr): Add pure
	attribute.

2004-07-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/dirent.h (struct _wdirent): Remove obsolete comment.

2004-07-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/string.h: Revert 2004-07-26 additions of
	__ATTRIBUTE_PURE.

2004-07-28  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/powl.c (powl): Revert change of 2004-02-01.
	(__convert_inf_to_maxnum): New.static inline.
	(reducl): Use it to protect against Inf - Inf.
	(__fast_ldexpl): New function.  Use in lieu of ldexpl.

2004-07-27  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/expl.c (expl): Move body of code to new static
	function __expl, removing tests for +/-Inf. Extern function
	expl calls __expl after testing for max, min log thresholds.

2004-07-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/stdio/vsscanf.c: Add "edi" to registers-modified field
	* mingwex/stdio/vfscanf.c: Likewise.
	* mingwex/stdio/vswscanf.c: Likewise.
	* mingwex/stdio/vfwscanf.c: Likewise.

2004-07-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h: Use only two underscores to uglify
	__MINGW_ATTRIB_* macros.
	* include/stdlib.h: Adjust __MINGW_ATTRIB_* tokens.
	* include/setjmp.h: Likewise.

	* include/sting.h: Add __MINGW_ATTRIB_PURE to locale-independent
	string functions.
	(_strdup, strdup): Add __MINGW_ATTRIB_MALLOC.

2004-07-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/string.h: Group wide string functions together,
	and protect with _WSTRING_DEFINED.

2004-07-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (__MINGW_ATTR_*):  Replace with
	__MINGW_ATTRIB_*.
	* include/stdlib.h (_ATTRIB_NORETURN): Replace with
	__MINGW_ATTRIB_NORETURN, throughout.
	(malloc): Declare with __MINGW_ATTRIB_MALLOC.
	(calloc): Likewise.
	(abs): Declare with __MINGW_ATTRIB_CONST.
	(labs): Likewise.
	(div): Likewise.
	(ldiv): Likewise.
	(lldiv): Likewise.
	(_rotl): Likewise.
	(_rotr): Likewise.
	(_lrotl): Likewise.
	(_lrotr): Likewise.
	* include/setjmp.h (longjmp): Add __MINGW_ATTRIB_NORETURN.

2004-07-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h: Undefine __attribute__.
	(__MINGW_ATTR_NORETURN): New define.
	(__MINGW_ATTR_CONST): New define.
	(__MINGW_ATTR_MALLOC): New define.
	(__MINGW_ATTR_PURE): New define.
	(_CRTIMP, __cdecl, __stdcall, __UNUSED_PARAM): Ansi-fy
	expansions.

2004-07-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/time.h (__time64_t): Add missing ';'.

2004-07-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/time.h (wcsftime): Move out of !__STRICT_ANSI
 	block.
	(struct tm): Protect with _TM_DEFINED.

2004-07-17  Christopher Faylor  <cgf@timesys.com>

	* Makefile.in (CC): Strip inappropriate include file settings from any
	passed-in CC.

2004-07-15  "dgun"  <dgun@umpire.com>

	* include/complex.h (conj): Correct typo in prototype.

2004-07-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h: Add pragma GCC system_header.

2004-07-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/complex/cargs.c: New file.
	* mingwex/Makefile.in: Really add carg.o to libmingwex.a.

2004-07-15  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.in (INCLUDES): Temporarily revert previous change.
	* mingwex/Makefile,in (INCLUDES): Ditto.
	* profile/Makefile,in (INCLUDES): Ditto.
	* mingwex/Makefile,in: Drop carg.o dependency.

2004-07-14  Christopher Faylor  <cgf@timesys.com>

	* mingwex/fwide.c: Include <stdio.h> to resolve FILE usage.

2004-07-14  Danny Smith  <dannysmith@users.sourceforge.net>

	* Makefile.in (INCLUDES): Designate $(srcdir)/../include as a
	system dir.
	* mingwex/Makefile,in (INCLUDES): Ditto.
	* profile/Makefile,in (INCLUDES): Ditto.

	* mingwex/Makefile,in: Add carg.o to libmingwex.a.

2004-07-13  Earnie Boyd  <earnie@users.sourcefourge.net>

	* Makefile.in: Move use of --nostdinc++ as GCC3.4 warns to use it
	for C modules.
	* mingwex/Makefile.in: Ditto.
	* profile/Makefile.in: Ditto.
	* include/limits.h: Change to new file header preamble.
	* include/_mingw.h: Increment minor version for 3.4 release.
	* Makefile.in: Ditto.

2004-07-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/cephes_emath.h (__etens): Remove declaration.

2004-07-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/unistd.h (ftruncate): Add inline definition.
	* mingwex/ftruncate.c: New file.
	* mingwex/Makefile.in: Add ftruncate.o to libmingwex.a.

2004-07-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/time.h: Do not include sys/types.h.

2004-07-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/Makefile.in (MATH_DISTFILES): Remove pow.c,
	(MATH_OBJS): Remove pow,o.
	* include/math.h (pow): Declare with _CRTIMP.
	Add comment on how to avoid excess precision problems.

2004-06-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (__mingw_fseeko64): Add prototype.
	* mingwex/mingw-fseek.c (__mingw_fseeko64): Add definition.
	(__mingw_fwrite): Handle huge files.

2004-06-30  Kees Zeelenberg  <kzlg@users.sourceforge.net>
	    Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (fopen64): Add inline function.
	(fseeko64): Add prototype.
	(ftello64): Add inline function.
	* include/io.h (lseek64): Add inline function.
	* include/sys/types (off64_t): Add typedef.
	(fpos64_t): Add typedef.
	* mingwex/fopen64.c: New file.
	* mingwex/fseeko64.c: New file.
	* mingwex/ftello64.c: New file.
	* mingwex/lseek64.c: New file.
	* mingwex/Makefile.in (STDIO_DISTFILES): Add fopen64.c,
	fseeko.64.c, ftello64.c, lseek64.c.
	(STDIO_OBJS): Add fopen64.o, fseeko.64.o, ftello64.o, lseek64.o.

2004-04-24  Luke Dunstan  <infidel@users.sourceforge.net>

	* include/limits.h (_I64_MIN, _I64_MAX, _UI64_MAX): Add defines.

2004-04-22  Earnie Boyd  <earnie@users.sf.net>

	* DISCLAIMER: Add words about "free to use".
	* README: Modify "Win32 runtime" to "Microsoft C Runtime".
	* Makefile.in (SRCDIST_FILES): Add DISCLAIMER and CONTRIBUTORS.
	(inst_docdir): New variable.
	(INSTDOCS): Ditto.
	(FLAGS_TO_PASS): Include inst_docdir.
	(install-dirs): Add inst_docdir.
	(install): Add loop for INSTDOCS.
	* strncasecmp.c: Reword copyright and disclaimer.  Move Contributors
	section to CONTRIBUTORS file.  Remove RCS tags.

2004-04-22  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/lround.c: Rewrite.
	* mingwex/math/lroundf.c: Rewrite.
	* mingwex/math/lroundl.c: Rewrite.
	* mingwex/math/llround.c: Rewrite.
	* mingwex/math/llroundf.c: Rewrite.
	* mingwex/math/llroundl.c: Rewrite.

2004-04-20  Earnie Boyd  <earnie@users.sf.net>

	* CONTRIBUTORS: New file.
	* DISCLAIMER: Ditto.
	* CRT_noglob.c: Reword copyright and disclaimer.  Move Contributors
	section to CONTRIBUTORS file.  Remove RCS tags.
	* CRTFmode.c: Ditto.
	* CRTglob.c: Ditto.
	* CRTinit.c: Ditto.
	* crt1.c: Ditto.
	* crtdll.dev: Ditto.
	* dllcrt1.c: Ditto.
	* dllmain.c: Ditto.
	* gccmain.c: Ditto.
	* init.c: Ditto.
	* isascii.c: Ditto.
	* iscsym.c: Ditto.
	* iscsymf.c: Ditto.
	* jamfile: Ditto.
	* main.c: Ditto.
	* msvcrt.def.in: Ditto.
	* strcasecmp.c: Ditto.
	* toascii.c: Ditto.
	* wcscmpi.c: Ditto.
	* include/assert.h: Ditto.
	* include/conio.h: Ditto.
	* include/ctype.h: Ditto.
	* include/direct.h: Ditto.
	* include/dirent.h: Ditto.
	* include/dos.h: Ditto.
	* include/errno.h: Ditto.
	* include/excpt.h: Ditto.
	* include/fcntl.h: Ditto.
	* include/float.h: Ditto.
	* include/io.h: Ditto.
	* include/locale.h: Ditto.
	* include/malloc.h: Ditto.
	* include/math.h: Ditto.
	* include/process.h: Ditto.
	* include/setjmp.h: Ditto.
	* include/share.h: Ditto.
	* include/signal.h: Ditto.
	* include/stdio.h: Ditto.
	* include/stdlib.h: Ditto.
	* include/string.h: Ditto.
	* include/tchar.h: Ditto.
	* include/time.h: Ditto.
	* include/wchar.h: Ditto.
	* include/sys/locking.h: Ditto.
	* include/sys/param.h: Ditto.
	* include/sys/stat.h: Ditto.
	* include/sys/timeb.h: Ditto.
	* include/sys/types.h: Ditto.
	* include/sys/utime.h: Ditto.
	* mingwex/dirent.c: Ditto.

2004-04-19  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Revert to primary release 3 and increment minor
	release to 3.
	* Makefile.in (VERSION): Ditto.

2004-04-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* crt1.c (_mingw32_init_fmode): Set *_imp___fmode_dll to
	_fmode if not __MSVCRT__.

2004-03-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/io.h: (_findfirst): Correct prototype.

2004-03-30  Hans Leidekker  <hans@it.vu.nl>

	* include/io.h: (_findnext, _findclose): Correct prototype.

2004-03-28  Hans Leidekker  <hans@it.vu.nl>

	* include/math.h (FP_*): Add defines.

2004-03-29  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/round.c: Rewrite.
	* mingwex/math/roundf.c: Rewrite.
	* mingwex/math/roundl.c: Rewrite.

2004-03-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (__MSVCRT_VERSION__): Define default as 0x0600.
	* include/time.h (__time64_t): Add typedef.
	(_mktime64): Add prototype for __MSVCRT_VERSION__ >= 0x0601.
	(_ctime64): Likewise.
	(_wctime64): Likewise.
	(_gmtime64): Likewise.
	(_localtime64): Likewise.
	(wcsftime): Move into _WTIME_DEFINED block.
	Regroup non-ANSI prototypes.
	* include/io.h: Include <stdint.h>.
	(__finddata64_t): Add struct definition.
	(__wfinddata64_t): Likewise.
	(_findfirst64): Add prototype for __MSVCRT_VERSION__ >= 0x0601.
	(_findnext64): Likewise.
	(_wfindfirst64): Likewise.
	(_wfindnext64): Likewise.
	* include/sys/timeb.h (__timeb64): Add struct definition.
	(_ftime64): Add prototype for __MSVCRT_VERSION__ >= 0x0601.
	* include/sys/utime.h (__utimbuf64): Add struct definition.
	(_utime64): Add prototype for __MSVCRT_VERSION__ >= 0x0601.
	(_futime64): Likewise.
	(_wutime64): Likewise.
	* include/sys/stat.h (__stat64):  Add struct definition.
	(_fstat64): Add prototype for __MSVCRT_VERSION__ >= 0x0601.
	(_stat64): Likewise.
	(_wstat64): Likwise.
	* include/sys/types.h (__time64_t):  Add typedef.
	* include/wchar.h (__wfinddata64_t): Add structure definition.
	(__stat64): Likewise.
	(_wctime64): Add prototype for __MSVCRT_VERSION__ >= 0x0601.
	(_wfindfirst64): Likewise.
	(_wfindnext64): Likewise.
	(_wutime64): Likewise.
	(_wstat64): Likwise.
	* include/malloc.h (_aligned_free): Add prototype for
	__MSVCRT_VERSION__ >= 0x0700.
	(_aligned_malloc): Likewise.
	(_aligned_offset_malloc): Likewise.
	(_aligned_offset_realloc): Likewise.
	(_aligned_realloc): Likewise.
	* include/string.h (_wcserror): Add prototype for
	__MSVCRT_VERSION__ >= 0x0700.
	(__wcserror): Likewise.
	* include/math.h (_set_SSE2_enable): Add prototype for
	__MSVCRT_VERSION__ >= 0x0701.

2004-03-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (_fsopen): Add prototype.
	* include/tchar.h (_tfsopen): Add defines.
	Thanks to "Gerik" <gerikr at users dot sourceforge dot net>

2004-03-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* msvcrt.def.in: Add stubs for msvcrt.dll (version 6.10),
	msvcr70.dll, and msvcr71.dll.
	* Makefile.in (msvcr*.def): Define preprocessor  __msvcr*__ constant
	using basename of output def file.

2004-03-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/malloc.h: Remove __STRICT_ANSI__ guard.

2004-03-11  Brian Keener  <bkeener@thesoftwaresource.com>

	* include/process.h: Remove the #endif associated with removal of
	__STRICT_ANSI__ guard from non-ANSI header.

2004-03-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/conio.h: Remove __STRICT_ANSI__ guard from non-ANSI header.
	* include/direct.h:  Ditto.
	* include/dirent.h:  Ditto.
	* include/dos.h:  Ditto.
	* include/excpt.h:  Ditto.
	* inlude/fcntl,h
	* include/io.h:  Ditto.
	* inlude/mem.h:  Ditto.
	* include/memory.h:  Ditto.
	* include/process.h:  Ditto.
	* inlude/search.h:  Ditto.
	* include/share.h:  Ditto.
	* include/unistd.h:  Ditto.
	* include/sys/fcntl.h:  Ditto.
	* include/file.h:  Ditto.
	* include/sys/locking.h:  Ditto.
	* include/sys/param.h:  Ditto.
	* include/sys/stat,h
	* include/sys/time.h:  Ditto.
	* include/sys/timeb.h:  Ditto.
	* include/sys/types.h:  Ditto.
	* include/sys/unistd.h:  Ditto.
	* include/sys/utime.h:  Ditto.

2004-02-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (__UNUSED_PARAM): Define macro.
	* include/wchar.h (fwide): Use it.
	(mbsinit): Ditto.

2004-02-05  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/getopt.c: Define IS_POSIXLY_CORRECT as per
	NetBSD getopt_long.c.

2004-02-05  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/strtold.c (__asctoe64) Reorganise. Fix setting error
	codes and handling of special chars.

2004-02-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (feof): Add inlined definition.
	(ferror): Ditto.

2004-02-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/ldexpl.c (ldexpl): Call __asm__("fscale")
	directly, rather than via scabnl.

2004-02-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/powl.c (powl): Return infinity if
	extended precision multiplication of x by log2(y)
	overflows.

2004-01-31  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/cephes_emath.h (__enan_64): Fix thinko.
	(__enan_NI16): Fix another one.
	(__enan_NBITS): Tidy.

2004-01-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdint.h  Fix __STDC_CONSTANT_MACROS for 8 and 16 bit
	types. (Thanks to John Maddock for report.)

2004-01-14  Greg Chicares  <chicares@users.sourceforge.net>

	* include/tchar.h (_puttchar): Define.

2003-12-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h:(_fileno): Define macro version after both
	fileno and _fileno functions declared.

	* include/stdio.h (_rmtmp, rmtmp): Add prototypes.
	* moldnames.def.in (rmtmp) Add stub.

2003-11-27  Dimitry Sibiryakov  <aafemt@users.sourceforge.net>

	* include/signal.h (SIG_SGE, SIG_ACK): Add defines.

2003-10-27  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h: Guard ISO C99 additions with __cplusplus
	not __GLIBCPP__.

2003-10-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h: Define __attribute__((x)) to nothing
	if not __GNUC__.

2003-10-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/complex.h: New file.
	* mingwex/complex: New directory.
	* mingwex/complex/cabs.c: New file.
	* mingwex/complex/cacos.c: New file.
	* mingwex/complex/cacosh.c: New file.
	* mingwex/complex/casin.c: New file.
	* mingwex/complex/casinh.c: New file.
	* mingwex/complex/catan.c: New file.
	* mingwex/complex/catanh.c: New file.
	* mingwex/complex/ccos.c: New file.
	* mingwex/complex/ccosh.c: New file.
	* mingwex/complex/cexp.c: New file.
	* mingwex/complex/cimag.c: New file.
	* mingwex/complex/clog.c: New file.
	* mingwex/complex/cpow.c: New file.
	* mingwex/complex/cproj.c: New file.
	* mingwex/complex/creal.c: New file.
	* mingwex/complex/csin.c: New file.
	* mingwex/complex/csinh.c: New file.
	* mingwex/complex/csqrt.c: New file.
	* mingwex/complex/ctan.c: New file.
	* mingwex/complex/ctanh.c: New file.
	* mingwex/Makefile.in (COMPLEX_DISTFILES): New list of
	files.
	(dist): Use it.
	(COMPLEX_OBJS): New list of objects.
	(LIB_OBJS): Include it in the library.

2003-10-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h (cabs): Remove non-ISO prototype.

2003-10-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/cephes_mconf.h (NAN, NANF, NANL):
	Use GCC __builtin's if available.
	(INFINITY, INFINITYF, INFINITYL): Likewise.

2003-10-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/s_erf.c (erf): Set errno to ERANGE if
	beyond approximation limit.
	* mingwex/math/sf_erf.c (erff): Likewise.

2003-10-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (getc): Cast result to unsigned char before
	return.
	(putc): Likewise
	(getchar): Likewise.
	(putchar): Likewise.
	Thanks to M.Fujii  <boochang@m4.kcn.ne.jp>

2003-10-10  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Increment version to 3.2.
	* Makefile.in: Ditto.

2003-10-10  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/sys/types.h: Revert last change.

2003-10-10  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/sys/types.h (ssize_t): Correct the definition.

2003-10-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (_filbuf): Add prototype.
	(_flsbuf): Add prototype.
	(getc): Add inline version.
	(putc): Likewise.
	(getchar): Likewise.
	(putchar): Likewise.

2003-10-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/dirent.c (_treaddir): Reset errno to 0 if end
	of directory.

2003-09-29  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h: Guard non-ISO functions with
	!__STRICT_ANSI__, throughout.

2003-09-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/io.h (_fileno): Remove prototype.
	(fileno): Likewise.
	(FILENAME_MAX): Define, if needed.
	Don't include <stdio.h>.
	* include/stdio.h (FILENAME_MAX): Protect against
	prior definition.
	(_fileno): Define macro implementation.
	(fileno): Likewise.

2003-09-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/inttypes.h: Include _mingw.h.

2003-09-24  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (__CRT_INLINE): Define.
	* include/ctype.h: Replace 'extern inline' with __CRT_INLINE,
	throughout
	* include/inttypes.h: Likewise.
	* include/math.h: Likewise.
	* include/stdio.h: Likewise.
	* include/stdlib.h: Likewise.
	* include/string.h: Likewise.
	* include/wchar.h: Likewise.
	* include/wctype.h: Likewise.

2003-09-22  Roland Schwingel  <rolandschwingel@users.sourceforge.net>

	* mingwex/dirent.c (_topendir): Allocate enough memory for
	DIR struct in UNICODE case too.

2003-09-15  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Increment version to 3.2.
	* Makefile.in: Ditto.

2003-07-03  Earnie Boyd  <earnie@users.sf.net>

	* config.guess, config.sub: Update with versions from ftp.gnu.org.

2003-07-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/trunc.c (trunc): Provide lvalue for memory input constraint.
	* mingwex/math/truncf.c (truncf): Likewise.
	* mingwex/math/truncl.c (truncl): Likewise.
	* mingwex/math/modff.c (modff): Likewise.
	* mingwex/math/modfl.c (modfl): Likewise.

2003-07-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/search.h: New file.
	* include/stdlib.h: Add comment about qsort, bsearch in
	search.h.
	* test_headers.c: Include search.h.
	* moldname.def.in (lfind, lsearch): Add.

2003-07-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/process.h (_execv, _execvp, _spawnv, _spawnvp, _execve,
	_execvpe, _spawnve, _spawnvpe, execv, execvp, spawnv, spawnvp,
	execve, execvpe, spawnve, spawnvpe): Const-ify all the char params.

2003-07-01  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h (small, hyper): Change to __small and __hyper to
	avoid user space name conflicts.

2003-07-01  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h (__int32, __int16, __int8, small, hyper): Define.
	Note: Also added to w32api/include/basetyps.h.
	* mingwex/math/tgamma.c, tgammaf.c, tgammal.c (small):
	Rename to Small (case difference).

2003-06-18  Earnie Boyd  <earnie@users.sf.net>

	* include/dirent.h (dirent): Make d_name and array instead of a pointer.
	* mingwex/dirent.c: Modifications througout to fill d_name array.
	* Makefile.in (LIBS): Add new MSVCRT libraries libmsvcr70 and
	libmsvcr71, including debug versions.
	(msvcr70.def, msvcr70d.def, msvcr71.def, msvcr71.def): New targets.

2003-06-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* msvcrt.def.in (__badioinfo, __lc_codepage, __lc_handle,
	__pioinfo, __setlc_active, _unguarded_readlc_active, _dstbias):
	Mark as DATA.
	Thanks to: Aaron W  LaFramboise   <AWLaFramboise@aol.com>

2003-05-30  Sascha Sommer  <saschasommer@freenet.de>

	* include/sys/types.h (_ssize_t, ssize_t):  Add typedefs.

2003-05-15  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h (_Exit): Move out of __STRICT_ANSI__ block,
	but still protect inline definition with __STRICT_ANSI__.

2003-05-14  Danny Smith  <dannysmith@users.sourceforge.net>

	* string_old.c: Remove, splitting into...
	* strcasecmp.c: New file.
	* strncasecmp.c: New file.
	* wscmpi.c : New file.
	* ctype_old.c: Remove, splitting into...
	* isascii.c: New file.
	* iscsym.c: New file.
	* iscsymf.c: New file.
	* toascii.c: New file.
	* Makefile.in (MOLD_OBJS): Adjust.
	(SRCDIST_FILES): Adjust.

2003-05-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h (fabs) : Remove inline definition.
	(fabsf): Likewise.
	(fabsl): Likewise.

2003-05-06  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Change version to 3.0
	* Makefile.in: Ditto.

2003-05-06  Earnie Boyd  <earnie@users.sf.net>

	* configure.in (W32API_INCLUDE): Need the -I switch in the value.
	* mingwex/configure.in (W32API_INCLUDE): Ditto.
	* profile/configure.in (W32API_INCLUDE): Ditto.

2003-05-06  Earnie Boyd  <earnie@users.sf.net>

	* configure.in (CFLAGS): Remove -D__USE_CRTIMP=1 due to possibilites
	of multiply defined symbols if the symbols is defined locally.  E.G.:
	A local definition of malloc causes this problem.
	* configure: Regenerate.
	* profile/Makefile.in (W32API_INCLUDE): New variable.
	(ALL_CFLAGS): Use W32API_INCLUDE value.
	(ALL_CXXFLAGS): Ditto.
	(gcrt0.o gcrt1.o gcrt2.o): Use ALL_CFLAGS instead of CFLAGS.
	Thanks to Jeff Bonggren <jbon@users.sf.net>.
	* profile/configure.in (W32API_INCLUDE): Set default value.
	* profile/configure: Regenerate.
	* mingwex/Makefile.in (W32API_INCLUDE): New variable.
	(ALL_CFLAGS): Use W32API-INCLUDE value.
	(ALL_CXXFLAGS): Ditto.
	* mingwex/configure.in (W32API_INCLUDE): Set default value.
	* mingwex/configure: Regenerate.

2003-05-05  Earnie Boyd  <earnie@users.sf.net>

	* Makefile.in (W32API_INCLUDE): New variable.
	(ALL_CFLAGS): Use W32API_INCLUDE value.
	(ALL_CXXFLAGS): Ditto.
	* configure.in (CFLAGS): Add -D__USE_CRTIMP=1 to default values.
	(W32API_INCLUDE): Set default value.
	* configure: Regenerate.

2003-04-11  Earnie Boyd  <earnie@users.sf.net>

	* configure.in (LIBM_A): Define for cygwin target.
	* configure (LIBM_A): Ditto.

2003-04-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/time.h (strftime): Remove duplicate declaration.

2003-04-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (_CRTIMP): Make conditional on __USE_CRTIMP.

2003-03-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/dirent.c (_topendir): Eliminate signed/unsigned warning.
	* mingwex/strtoimax.c (strtoimax): Likewise.
	* mingwex/wcstoimax.c (wcstoimax): Likewise.
	* mingwex/wtoll.c (wtoll): Remove unnecessary ';'
	* mingwex/fesentenv.c: Include float.h.
	* mingwex/math/powl.c: Eliminate type punning/strict aliasing
	warning.
	* mingwex/math/tanhl.c: Eliminate signed/unsigned warning in
	constants.
	* mingwex/math/tgammal.c: Likewise.

2003-03-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/utime.h: New file, forwarding to sys/utime.h.

2003-03-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sys/param.h (MAXPATHLEN): Define.

2003-03-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h: Ansi-fy a comment.

2003-03-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* profile/profile.h (mcount): Use __builtin_return_address
	rather than inline __asm statements.
	* profile/Makefile.in: Remove special rule for mcount.o
	Specify dependencies for mcount.o profil.o gmon.o.

2003-03-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h (qsort): Remove const from first parm.
	Thanks to: Tien-Ren Chen  <trchen@sourceforge.users.net>

2003-03-03  Christopher Faylor  <cgf@redhat.com>

	* mingwex/getopt.c: Refresh from NetBSD sources.

2003-03-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/getopt.c: New file, copied from cygwin srcs.
	* include/getopt.h: New file, copied from cygwin srcs.
	* include/unistd.h: Include getopt.h.
	* mingwex/Makefile.in (DISTFILES): Add getopt.c.
	(POSIX_OBJS): Add getopt.o.

2003-03-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (vscanf): Add prototype.
	(vfscanf): Ditto.
	(vsscanf): Ditto.
	(vwscanf): Ditto.
	(vfwscanf): Ditto.
	(vswscanf): Ditto.
	* include/wchar.h (vwscanf): Add prototype.
	(vfwscanf): Ditto.
	(vswscanf): Ditto.
	* mingwex/snprintf.c: Move to mingwex/stdio.
 	* mingwex/vsnprintf.c: Ditto.
	* mingwex/snwprintf.c: Ditto.
	* mingwex/vsnwprintf.c: Ditto.
	* mingwex/Makefile.in (VPATH): Add $(srcdir)/stdio
	(STDIO_DISTFILES): Add.
	(DISTFILES): Adjust.
	(STDIO_STUB_OBJS): Rename to STDIO_OBJS and add v*scanf objects.
	(LIB_OBJS): Adjust.
	(dist): Adjust.

2003-03-02  Aaron W  LaFramboise   <AWLaFramboise@aol.com>

	* mingwex/stdio: New directory
	* mingwex/stdio/vfscanf.c: New file.
	* mingwex/stdio/vfwscanf.c:  New file.
	* mingwex/stdio/vscanf.c:  New file.
	* mingwex/stdio/vsscanf.c:  New file.
	* mingwex/stdio/vswscanf.c:  New file.
	* mingwex/stdio/vwscanf.c:  New file.

2003-02-25  Earnie Boyd  <earnie@users.sf.net>

	* Makefile.in (libmsvcrt20.a): Remove target and dependencies.
	(libmsvcrt40.a): Ditto.

2003-02-21  Earnie Boyd  <earnie@users.sf.net>

	Thanks to David Frasier <davidf@sjsoft.com> who inspired portions of
	this patch.
	* Makefile.in (libmsvcrtd.a): Add target library.
	(libmoldnamed.a): Ditto.
	(msvcrt.def, msvcrtd.def, msvcrt20.def, msvcrt40.def): Use msvcrt.def.in
	template to create.
	($(srcdir)): Remove explicit reference for depencies of object targets.
	* moldname.def, moldname-msvcrt.def, moldname-crtdll.def, msvcrt.def,
	msvcrt20.def, msvcrt40.def: Remove.
	* msvcrt.def.in: New file (Copy of previous msvcrt.def).

2003-02-20  Corinna Vinschen  <corinna@vinschen.de>

	* Makefile.in: Make sure libmingwex.a from current build tree is used.

2003-02-14  Christopher Faylor  <cgf@redhat.com>

	* profile/Makefile.in (mcount.o): Use ALL_CFLAGS for compilation to
	ensure -mno-cygwin where appropriate.  Filter out -O2.

2003-02-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* profile/Makefile.in (mcount.o): Use -O1 optimization
	switch to compile.

2003-02-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h: Remove _CRTIMP from pow() prototype,
	unless __NO_ISOCEXT.

2003-02-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/cephes_emath.h: Don't redefine INFINITY.

2003-02-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h (_CRTIMP): Define for __GNUC__ if
	__declspec(dllimport)  supported.
	(__cdecl): Define if not already defined.
	(__stdcall): Likewise.
	* include/dirent.h: Qualify fuctions with __cdecl.
	* include/fenv.h: Likewise.
	* include/inttypes.h: Likewise.
	* include/assert.h: Qualify fuctions with __cdecl. Qualify
	CRT dll imports with _CRTIMP.
	* include/conio.h: Likewise.
	* include/ctype.h: Likewise.
	* include/direct.h: Likewise.
	* include/dos.h: Likewise.
	* include/errno.h: Likewise.
	* include/float.h: Likewise.
	* include/io.h: Likewise.
	* include/locale.h: Likewise.
	* include/malloc.h: Likewise.
	* include/math.h: Likewise.
	* include/mbctype.h: Likewise.
	* include/mbstring.h: Likewise.
	* include/process.h: Likewise.
	* include/setjmp.h: Likewise.
	* include/signal.h: Likewise.
	* include/stdio.h: Likewise.
	* include/stdlib.h: Likewise.
	* include/string.h: Likewise.
	* include/time.h: Likewise.
	* include/wchar.h: Likewise.
	* include/wctype.h: Likewise.
	* include/sys/stat.h: Likewise.
	* include/sys/timeb.h: Likewise.
	* include/sys/utime.h: Likewise.

	* include/ctype.h: Guard ctype inlines with __NO_INLINE__.
	* include/wctype.h: Guard wctype inlines with __NO_INLINE__.

	* include/stdio.h (__VALIST): Guard against prior definition.

2003-02-08  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Change version to 3.0
	* Makefile.in: Ditto.

2003-02-08  Earnie Boyd  <earnie@users.sf.net>

	* include/stdlib.h: Make words after #endif a comment.

2003-02-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/locale.h: Include stddef.h for definition of NULL.

2003-01-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h (tgamma): Correct typo in comment.

2003-01-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/mingw-fseek.c (INLINE): Remove define.
	(__mingw_is_win9x): Remove static inline function.
	(_mingw_fwrite): Use _osver instead of __mingw_is_win9x.

2003-01-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/llround.c: Correct function name and
	change return value to long long.

2003-01-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ctype.h (__isascii): Don't cast arg to unsigned.
	(iswascii): Likewise.  Correct mask.
	* include/wctype.h (iswascii): Don't cast arg to unsigned.
	Correct mask

2003-01-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h (_osver, _winver, _winmajor,
	_winminor): Declare as direct imports from dll if
	__DECLSPEC_SUPPORTED.

2003-01-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* pseudo-reloc.c (do_pseudo_reloc): Make static.
	* pseudo-reloc-list.c: New file.
	* crt1.c (_pei386_runtime_relocator): Declare.
	(__mingw_CRTStartup): Call it.
	* dllcrt1.c (_pei386_runtime_relocator): Declare.
	(DllMainCRTStartup): Call it.
	* Makefile.in: Add pseudo-reloc.o pseude-reloc-list.o to
	libmingw32.a.

2003-01-01  Egor Duda  <deo@logos-m.ru>

	* pseudo-reloc.c: New file.

2002-12-20  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Increment version to 2.4.
	Makefile.in: Ditto.

2002-12-12  Earnie Boyd  <earnie@users.sf.net>

	* include/malloc.h (_alloca): Add definition.
	(alloca): Ditto.

2002-12-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/s_erf.c: New file.
	* mingwex/math/sf_erf.c: New file.
	* mingwex/Makefile.in (MATH_DISTFILES): Add new files.
	(MATH_OBJS): Add new objects.
	* include/math.h (erf[f]): Add prototypes.
	(erfc[f]): Add prototypes.

2002-12-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h: Add traditional/XOPEN math constants.

2002-11-27  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/lgamma.c: New file.
	* mingwex/math/lgammaf.c: New file.
	* mingwex/math/lgammal.c: New file.
	* mingwex/math/tgamma.c: New file.
	* mingwex/math/tgammaf.c: New file.
	* mingwex/math/tgammal.c: New file.
	* mingwex/math/cephes_mconf (polevlf): Add float version.
	(p1evlf): Likewise.
	Define _CEPHES_USE_ERRNO.
	* mingwex/Makefile.in (MATH_DISTFILES): Add new files.
	(MATH_OBJS): Add new objects.
	* include/math.h (lgamma[fl]): Add prototypes.
	(tgamma[fl]): Add prototypes.

2002-11-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/strtold.c: New file.
	* mingwex/wcstold.c: New file.
	* mingwex/ldtoa.c: New file.
	* mingwex/math/cephes_emath.h: New file.
	* mingwex/math/cephes_emath.c: New file.
	* mingwex/Makefile.in (DISTFILES): Add new files.
	(MATH_DISTFILES): Ditto.
	(STDLIB_OBJS): New. Define as strtold.c wcstold.c.
	(MATH_OBJS): Add cephes_emath.o.
	(LIB_OBJS): Add $(STDLIB_OBJS).
	* include/stdlib.h (strtold, wcstold): Add prototypes.
	* include/wchar.h (wcstold): Add prototype.

2002-11-09  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h (sqrt): Remove inline definition.
	(sqrtf): Replace inline definition with prototype.
	(sqrtl): Likewise.
	* mingwex/math/sqrtf.c (sqrtf): Set domain error if
	argument less than zero.
	* mingwex/math/sqrtf.c (sqrtl): Likewise.

2002-10-30  Guido Serassio  <serassio@libero.it>

	* include/stdio.h (_getmaxstdio): Add prototype.
	 (_setmaxstdio): Likewise.

2002-10-19  Kang Li  <rubylith@users.sourceforge.net>

	* include/fcntl.h (O_SEQUENTIAL): Correct typo.

2002-10-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* crt1.c: Define new macro __IN_MINGW_RUNTIME before including
	stdlib.h.
	Define WIN32_MEAN_AND_LEAN before including windows.h
	* include/stdlib.h (_fmode): Protect declaration as dllimported
	variable with __IN_MINGW_RUNTIME.

2002-10-19  Igor Pechtchanski  <pechtcha@cs.nyu.edu>

	* crt1.c: Include stdlib.h.

2002-10-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* Makefile.in (CRT0S): Add txtmode.o binmode.o.
	(MINGW_OBJS): Add txtmode.o.
	(SRCDIST_FILES): Add txtmode.c binmode.c.
	crt1.c: Don't include fcntrl.h, stdlib.h.
	(_fmode): Declare, without dllimport attribute.
	(__p__fmode): Declare access function for dll's _fmode.
	(_mingw32_init_fmode): Sync dll _fmode with staticly linked
	_fmode for app.
	* txtmode.c: New file.
	* binmode.c: New file.
	* samples/fmode/test2.c: New file.
	* samples/fmode/jamfile: Add test2.exe target.

2002-10-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdint.h (INT64_C, UINT64_C ): Append suffix to let
	macros work with C89.
	(INTMAX_C, UINTMAX_C): Likewise.

2002-10-11  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/string.h (strcasecmp): Make extern __inline__.
	(strncasecmp): Likewise.
	(wcscmpi): Likewise.

2002-10-08  Heiko Gerdau  <hg@technosis.de>

	* include/tchar.h (_tchdir. _tgetcwd, _tgetdcwd.
	_tmkdir, _trmdir, _tstat): Add ASCII and UNICODE
	mappings.

2002-10-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/powil.c: Rename powil to __powil.
	* mingwex/math/powl.c: Adjust declaration and call
	to __powil. Remove comment on powil.
	* mingwex/math/powi.c: New file.
	* mingwex/math/powif.c: New file.
	* mingwex/math/pow.c: New file.
	* mingwex/math/cephes_mconf.h. Add double and float
	versions of constants.
	(polevl): Add double precision function.
	(p1evl): Likewise.
	* mingwex/Makefile.in (MATH_DISTFILES): Add pow.c,
	powi.c, powif.c.
	(MATH_OBJS): Add pow.o,	powi.o, powif.o.

2002-10-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/cytpe.h (_imp____mbcur_max): Add missing ';'.
	(_imp____mbcur_max_dll): Likewise.

2002-10-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/fcntl.h (_fmode): Remove declarations and
	compatibility defines.
	(_setmode, setmode): Remove prototypes.
	* include/stdlib (_fmode): Add declarations and
	compatibility defines.  Change type to int.
	* include/io.h (_setmode, setmode): Add prototypes.
	* samples/fmode/all.c: Adjust includes.
	* samples/fmode/test.c: Likewise.
	* crt1.c (_CRT_fmode): Declare as int.
	* CRTfmode.c (_CRT_fmode): Likewise.

	* include/stdlib: Remove comment about MB_CUR_MAX.

2002-10-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h (_imp____mbcur_max): Add missing ';'.
	(_imp____mbcur_max_dll): Likewise.

2002-09-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/files.txt: Remove inadvertantly added file.

2002-09-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/string.h (_strerror): Move into #ifndef
	__STRICT_ANSI__ block.

2002-09-17  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/time.h (__need_NULL): Define before including
	stddef.h.  Thanks to: Rüdiger Dehmel  <de@lmnet.de>.

2002-09-16  Ranjit Matthew  <rmathew@hotmail.com>

	* include/stdio.h: Correct comment about directory separator.

2002-09-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sys/time.h (timeval): Add struct definition and
	associated macros (copied from w32api/include/winsock.h).

2002-09-05  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Increment version to 2.3.
	Makefile.in: Ditto.

2002-09-05  Earnie Boyd  <earnie@users.sf.net>

	* mingwex/fegetenv.c: Change to \n line endings.
	* mingwex/vsnprintf.c: Ditto.
	* mingwex/vsnwprintf.c: Ditto.

2002-09-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* mingwex/math/hypotl.c: Replace with version based on cephes
	library.

2002-08-28  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sys/param.h: Add ENDIAN defines.
	* test_headers.c: Include sys/param.h.

2002-08-28  Danny Smith  <dannysmith@users.sourceforge.net>

	* test_headers.c: Don't include varargs.h.
	* Makefile.in (test_headers): Don't use -std=xx
	with -xc++.

2002-08-21  Earnie Boyd  <earnie@users.sf.net>

	* include/sys/param.h: New File.

2002-08-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/math.h (asm): Change to __asm__ throughout.
	Expose ISO C99 functions if __GLIPCPP__.
	(hypotf): Use hypot, not _hypot in stub.

2002-08-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h: Ansi-fy another comment.

2002-08-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h: Ansi-fy comment.

2002-08-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* test_headers.c : New file.
	* Makefile.in (test_headers): New target, using it,
	(SRCDIST_FILES): Distribute it.

2002-08-20  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Increment version to 2.2.
	Makefile.in: Ditto.

2002-08-14  Earnie Boyd  <earnie@users.sf.net>

	* include/unistd.h: Add include of process.h.

2002-08-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdio.h (_fcloseall): Add prototype.

2002-07-29  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h (_tfdopen): Correct typo.

2002-07-29  Danny Smith  <dannysmith@users.sourceforge.net>

	* moldname.def.in (chgsign,scalb,finite,fpclass,logb,
	nextafter): Add non-underscored stubs.
	* moldname-msvcrt.def: Regenerate.
	* moldname-crtdll.def: Regenerate.
	* mingwex/math: New directory.
	* mingwex/rint.c: Move to mingwex/math.
	* mingwex/rintf.c: Ditto.
	* mingwex/rintl.c: Ditto.
	* mingwex/round.c: Ditto.
	* mingwex/roundf.c: Ditto.
	* mingwex/roundl.c: Ditto.
	* mingwex/rint.c: Ditto.
	* mingwex/rintf.c: Ditto.
	* mingwex/rintl.c: Ditto.
	* mingwex/trunc.c: Ditto.
	* mingwex/truncf.c: Ditto.
	* mingwex/truncl.c: Ditto.
	* mingwex/signbit.c: Ditto.
	* mingwex/signbitf.c: Ditto.
	* mingwex/signbitl.c: Ditto.
	* mingwex/copysignl.S: Ditto.
	* mingwex/fdim.c: Ditto.
	* mingwex/fdimf.c: Ditto.
	* mingwex/fdiml.c: Ditto.
	* mingwex/fmin.c: Ditto.
	* mingwex/fminf.c: Ditto.
	* mingwex/fminl.c: Ditto.
	* mingwex/fmax.c: Ditto.
	* mingwex/fmaxf.c: Ditto.
	* mingwex/fmaxl.c: Ditto.
	* mingwex/fma.c: Ditto.
	* mingwex/fmaf.c: Ditto.
	* mingwex/fmal.c: Ditto.
	* mingwex/fpclassify.c: Ditto.
	* mingwex/fpclassifyl.c: Ditto.
	* mingwex/fpclassifyl.c: Ditto.
	* mingwex/isnan.c: Ditto.
	* mingwex/isnanf.c: Ditto.
	* mingwex/isnanl.c: Ditto.
	* mingwex/fucom.c: Ditto.
	* mingwex/fp_consts.c: Ditto. Split out float and long double
	definitions.
	* mingwex/math_stubs.c: Remove.
	* mingwex/log2.c: Remove. Replaced by math/log2.S
	* mingwex/log2f.c: Remove.  Replaced by math/log2f.S
	* mingwex/log2l.c: Remove.  Replaced by math/log2l.S
	* mingwex/math/acosf.c : New file.
	* mingwex/math/acosl.c: New file.
	* mingwex/math/asinf.c: New file.
	* mingwex/math/asinl.c: New file.
	* mingwex/math/atan2f.c: New file.
	* mingwex/math/atan2l.c: New file.
	* mingwex/math/atanf.c: New file.
	* mingwex/math/atanl.c: New file.
	* mingwex/math/cbrt.c: New file.
	* mingwex/math/cbrtf.c: New file.
	* mingwex/math/cbrtl.c: New file.
	* mingwex/math/ceilf.S: New file.
	* mingwex/math/ceill.S: New file.
	* mingwex/math/cephes_ld.h: New file.
	* mingwex/math/copysign.S: New file.
	* mingwex/math/copysignf.S: New file.
	* mingwex/math/cosf.S: New file.
	* mingwex/math/coshf.c: New file.
	* mingwex/math/coshl.c: New file.
	* mingwex/math/cosl.S: New file.
	* mingwex/math/exp2.S: New file.
	* mingwex/math/exp2f.S: New file.
	* mingwex/math/exp2l.S: New file.
	* mingwex/math/expf.c: New file.
	* mingwex/math/expl.c: New file.
	* mingwex/math/fabs.c: New file.
	* mingwex/math/fabsf.c: New file.
	* mingwex/math/fabsl.c: New file.
	* mingwex/math/floorf.S: New file.
	* mingwex/math/floorl.S: New file.
	* mingwex/math/fmodf.c: New file.
	* mingwex/math/fmodl.c: New file.
	* mingwex/math/fp_consts.h: Ditto.
	* mingwex/math/fp_constsf.c: Ditto.
	* mingwex/math/fp_constsl.c: Ditto.
	* mingwex/math/frexpf.c: New file.
	* mingwex/math/frexpl.S: New file.
	* mingwex/math/hypotf.c: New file.
	* mingwex/math/hypotl.c: New file.
	* mingwex/math/ilogb.S: New file.
	* mingwex/math/ilogbf.S: New file.
	* mingwex/math/ilogbl.S: New file.
	* mingwex/math/ldexpf.c: New file.
	* mingwex/math/ldexpl.c: New file.
	* mingwex/math/llrint.c: New file.
	* mingwex/math/llrintf.c: New file.
	* mingwex/math/llrintl.c: New file.
	* mingwex/math/llround.c: New file.
	* mingwex/math/llroundf.c: New file.
	* mingwex/math/llroundl.c: New file.
	* mingwex/math/log10f.S: New file.
	* mingwex/math/log10l.S: New file.
	* mingwex/math/log1p.S: New file.
	* mingwex/math/log1pf.S: New file.
	* mingwex/math/log1pl.S: New file.
	* mingwex/math/log2.S: New file.
	* mingwex/math/log2f.S: New file.
	* mingwex/math/log2l.S: New file.
	* mingwex/math/logb.c: New file.
	* mingwex/math/logbf.c: New file.
	* mingwex/math/logbl.c: New file.
	* mingwex/math/logf.S: New file.
	* mingwex/math/logl.S: New file.
	* mingwex/math/lrint.c: New file.
	* mingwex/math/lrintf.c: New file.
	* mingwex/math/lrintl.c: New file.
	* mingwex/math/lround.c: New file.
	* mingwex/math/lroundf.c: New file.
	* mingwex/math/lroundl.c: New file.
	* mingwex/math/modff.c: New file.
	* mingwex/math/modfl.c: New file.
	* mingwex/math/nearbyint.S: New file.
	* mingwex/math/nearbyintf.S: New file.
	* mingwex/math/nearbyintl.S: New file.
	* mingwex/math/nextafterf.c: New file.
	* mingwex/math/powf.c: New file.
	* mingwex/math/powl.c: New file.
	* mingwex/math/powil.c: New file.
	* mingwex/math/remainder.S: New file.
	* mingwex/math/remainderf.S: New file.
	* mingwex/math/remainderl.S: New file.
	* mingwex/math/remquo.S: New file.
	* mingwex/math/remquof.S: New file.
	* mingwex/math/remquol.S: New file.
	* mingwex/math/scalbn.S: New file.
	* mingwex/math/scalbnf.S: New file.
	* mingwex/math/scalbnl.S: New file.
	* mingwex/math/sinf.S: New file.
	* mingwex/math/sinhf.c: New file.
	* mingwex/math/sinhl.c: New file.
	* mingwex/math/sinl.S: New file.
	* mingwex/math/sqrt.c: New file.
	* mingwex/math/sqrtf.c: New file.
	* mingwex/math/sqrtl.c: New file.
	* mingwex/math/tanf.S: New file.
	* mingwex/math/tanhf.c: New file.
	* mingwex/math/tanhl.c: New file.
	* mingwex/math/tanl.S: New file.
	* mingwex/Makefile.in: Adjust VPATH for source files in
	mingwex/math.
	Adjust MATH_OBJS.
	Add MATH_DISTFILES and use it to build source distro.
	* include/ math.h: Add protypes for new functions and
	reorganise to reflect ANSI,C99 status.

2002-06-19  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h (_getts): Define as _getws for _UNICODE.
	(_putts): Define as _putws for _UNICODE.
	Thanks to: Tomasz Pona  <cochisek@poczta.onet.pl>  for report.

2002-06-18  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/float.h: #include_next<float.h> before header guard.

2002-06-18  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* include/_mingw.h (__MINGW_IMPORT): Check for prior definition before
	defining.
	* include/excpt.h (): Include windef.h not windows.h.
	* include/fcntl.h (_O_SHORT_LIVED): Add define.
	(_chmod): Add prototype.
	(_creat): Correct prototype.
	(SH_DENY*): Rename defines to _SH_DENY*.
	(SH_DENY*): Add Non-ANSI names for _SH_DENY*.
	include/stdio.h (_IOMYBUF, _IOEOF, _IOERR, _IOSTRG,
	_IOAPPEND): Add defines.
	(_wfindfirst): Correct prototype.
	(_wfdopen): Add prototype.
	* include/stdlib.h (_rotl, _rotr, _lrotl, _lrotr): Add
	prototypes.
	* include/string.h (_mbschr, _mbstok, _mbsncat): Remove
	 prototypes.
	(_wcsdup): Correct prototype.
	* include/mbstring.h: Remove comments about _mbschr, _mbstok,
	 _mbsncat being in string.h.
	* include/wchar.h (_wfindfirst): Correct prototype.
	* include/tchar.h (_tfdopen): Add _UNICODE mappings.

2002-06-15  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Increment to version 2.1.
	* Makefile.in: Ditto.

2002-06-15  Earnie Boyd  <earnie@users.sf.net>

	* Makefile.in (conf_prefix): New variable.
	(dist_prefix): Ditto. Conditionally set to $(conf_prefix).
	(bindist): Use dist_prefix.

2002-06-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/_mingw.h: Increment version to 2.0.
	* Makefile.in: Ditto.

	Merge in mingwex branch.

	2002-06-11  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/math.h (fdim, fdimf, fdiml): Add prototypes.
	* mingwex/fdim.c: New file.
	* mingwex/fdimf.c: New file.
	* mingwex/fdiml.c: New file.
	* mingwex/Makefile.in (DISTFILES): Add fdim.c, fdimf.c,
	fdiml.c.
	(MATHOBJS):Add fdim.o, fdimf.o. fdiml.o.

	2002-05-23  Danny Smith  <dannysmith@users.sourceforge.net>
	* mingwex/Makefile.in (DISTFILES): Add truncf.c, truncl.c.

	2002-05-22  Danny Smith  <dannysmith@users.sourceforge.net>
	* mingwex/isnanl.c: New file.

	2002-05-21  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/stdint.h: Include stddef.h to get
	wchar_t and wint_t.
	(WINT_MAX): Define to ((wint_t)-1).

	2002-05-21  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/wctype.h: Replace 'inline' with '__inline__'.
	* include/inttypes.h: Likewise.

	2002-05-16  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/_mingw.h (__MINGW_IMPORT): Put extern at start
	to avoid warnings.  Thanks to: Oscar Fuentes  <ofv@wanadoo.es>.

	2002-05-16  Danny Smith  <dannysmith@users.sourceforge.net>
	* mingwex/snprintf.c: Split out vsnprintf to....
	* mingwex/vsnprintf.c: New file.
	* mingwex/snwprintf.c: Split out vsnwprintf to...
	* mingwex/vsnwprintf.c: New file.
	* mingwex/Makefile.in: Adjust DISTFILES and STDIO_STUB_OBJS.

	2002-05-15  Pascal Obry  <obry@gnat.com>
	* include/dirent.h (DIR): Change dd_stat type to int.
	(_WDIR): Likewise.

	2002-05-07  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/stdio.h (vsnprintf): Change inline to __inline__;
	(vsnwprintf): Likewise.
 	* include/wchar.h (vsnwprintf): Likewise.
	(wcstof): Likewise.
	(fwide): Likewise.
	(mbsinit): Likewise.

	2002-04-29  Danny Smith  <dannysmith@users.sourceforge.net>
	Change FP default precison from 53 to 64-bit mantissa.
	* Makefile.in (CRT0S): Add CRT_fp8.o.
	(MINGW_OBJS): Replace CRT_fp8.o with CRT_fp10.o.
	* include/float.h: Replace standard float.h defines with
	#include_next<float.h> to use GCC's defines. Adjust comments
	to reflect change.

	2002-04-26  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/dos.h: Change  prefix "__imp_"  to "_imp__" for
	__GNUC__ without __DECLSPEC_SUPPORTED.
	* include/fnctl.h: Likewise.
	* include/math.h: Likewise.
	* include/stdio.h: Likewise.
	* include/stdlib.h: Likewise.
	* include/time.h: Likewise.
	* include/wctype.h: Likewise.
	* include/ctype.h: Likewise.

	2002-04-26  Danny Smith  <dannysmith@users.sourceforge.net>
	Add atexit support for dlls.
	* crt1.c (atexit): Force thunk to _imp__atexit.
	(_onexit): Force thunk to _imp___onexit.
	* dllcrt1.c (DllMainCRTStartup): Initialise private atexit
	table on DLL_PROCESS_ATTACH, clean it up on DLL_PROCESS_DETACH.
	(__dll_exit): New function to run atexit-registered functions
	 and flush output buffers on DLL_PROCESS_DETACH or failed
	DLL_PROCESS_ATTACH.
	(atexit): Force use of private atexit table via _dllonexit,
	(_onexit): New function. Force use of private atexit table via
	_dllonexit,
	* msvcrt.def (atexit, _onexit): Add DATA keyword so that only
	_imp_<_symbol> is visible in import lib.
	* msvcrt20.def: Likewise.
	* msvcrt40.def: Likewise.
	* crtdll.def: Likewise.

	2002-04-26  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/fenv.h: Change header guard macro to _FENV_H_.
	(fenv_t, fexcept_t): Move into block protected by
	#ifndef RC_INVOKED.
	Cleanup some whitespace.
	* include/inttypes.h: Change header guard macro to
	_INTTYPES_H_.

	2002-04-26  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/math.h (copysignl): Declare.
	* mingwex/Makefile.in (DISTFILES): Add copysignl.S.
	(MATHOBJS):Add copysignl.o.

	2002-04-24  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/math.h (__signbitl, __isnanl): Declare.

	2002-04-24  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/math.h (nanl, __fpcassifyl, fminl, fmaxl, rintl,
	roundl, truncl, fmal, log2l): Declare.
	Protect C99 declarations with _STDC_VERSION__ >= 199901L)
	|| !defined  __STRICT_ANSI__.
 	* mingwex/fmax.c (fmax): Call __isnan, not _isnan.
	* mingwex/fmin.c (fmin): Likewise.
	* mingwex/fmaxf.c (fmaxf): Call __isnanf, not _isnan.
	* mingwex/fminf.c (fminf): Likewise.
	* mingwex/fmaxl.c: New file.
	* mingwex/fminl.c: New file.
	* mingwex/fpclassify.c (__fpclassifyf): Split out to ...
	* mingwex/fpclassifyf.c: New file.
	* mingwex/fpclassifyl.c: New file.
	* mingwex/rint.c (rintf): Split out to...
	* mingwex/rintf.c: New file.
	* mingwex/rintl.c: New file.
	* mingwex/round.c (roundf): Split out to...
	* mingwex/roundf.c: New file.
	* mingwex/roundl.c: New file.
	* mingwex/trunc.c (truncf): Split out to...
	* mingwex/truncf.c: New file.
	* mingwex/truncl.c: New file.
	* mingwex/signbit.c (signbitf): Split out to...
	* mingwex/signbitf.c: New file.
	* mingwex/signbitl.c: New file.
	* mingwex/fmal.c: New file.
	* mingwex/copysignl.S: New file.
	* mingwex/log2l.c: New file.
	* mingwex/fp_consts.c: Add nanl definition.
	Comment out unused constants.
	* mingwex/Makefile.in (DISTFILES): Add fmaxl.c, fminl.c,
	fpclassifyf.c, fpclassifyl.c, rintf.c, rintl.c, roundf.c,
	roundl.c, truncf.c truncl.c, signbitf.c signbitl.c,
	fmal.c, log2l.c
	(MATHOBJS): Add fmaxl.o, fminl.o, fpclassifyf.o,
	fpclassifyl.o, rintf.o, rintl.o, roundf.o, roundl.o,
	truncf.o truncl.o, signbitf.o signbitl.o, fmal.o,
	log2l.o.
	* mingwex/snwprintf.c (snwprintf, vsnwprintf): Correct typo.

	2002-04-23  Danny Smith  <dannysmith@users.sourceforge.net>
	Make wide char versions of opendir and friends.
	* include/dirent.h (_wdirent, _WDIR): Define wide versions of
	struct dirent, DIR.
	(_wopendir,_wreaddir,_wclosedir,_wrewinddir,_wtelldir,
	_wseekdir): Add prototypes for wide versions of corresponding
	standard functions.
	* include/tchar.h; Add _UNICODE mappings for dirent.h
	structures and functions.
	* mingwex/dirent.c: Make _UNICODE neutral.
	* mingwex/wdirent.c: New file to define _UNICODE before
	including dirent.c.
	* mingwex/Makefile.in (DISTFILES): Add wdirent.c.
	(POSIX_OBJS): Add wdirent.o.
	(wdirent.o): Specify dependency on dirent.c as well as
	wdirent.c.
	* samples/dirent/wtest.c: New file, wide version of test.c.

	2002-04-17  Danny Smith  <dannysmith@users.sourceforge.net>
	* Makefile.in (INCLUDES): Add "-iwithprefixbefore include" to
	ensure gcc include dir is searched despite -nostdinc.
	* profile/Makefile.in (INCLUDES): Likewise.
	* mingwex/Makefile.in (INCLUDES): Likewise.
	* include/stdarg.h: Replace with stub that just guards the
	real gcc system header with #ifndef RC_INVOKED
	* include/varargs.h: Likewise.
	* include/stddef.h: Likewise.
	* include/stdio.h: Include stdarg.h after defining
	 __need___va_list.
	(__VALIST): Define as __gnuc_va_list if __GNUC__, else char*.
	Replace va_list with __VALIST throughout.

	2002-04-17  Danny Smith  <dannysmith@users.sourceforge.net>
	* crt1.c: Revert changes of 2002-04-16. Use _fpreset again.
	* msvcrt.def (_fpreset): Mark as DATA so that only
	_imp___fpreset is exported.
	* msvcrt20.def (_fpreset): Likewise.
	* msvcrt40.def (_fpreset): Likewise.
	* crtdll.def (_fpreset): Likewise.
	* CRT_fp10.c (_fpreset): Overide library _fpreset with one
	that calls fninit.
	(fpreset): Add alias.
	(__CRT_PC): Delete definition. _fpreset does it now.
	*  CRT_fp8.c (_fpreset): Force use of library _imp___fpreset.
	(fpreset): Add alias.
	(__CRT_PC): Delete definition.
	* moldname.def.in: Comment out fpreset.
	* moldname-msvcrt.def: Regenerate.
	* moldname-crtdll.def: Regenerate.
	* include/fenv.h (FE_DFL_ENV): Define as (fenv_t*)0.
	* mingwex/fesetenv.c (FE_DFL_ENV): Use it to set environment
	with the _fpreset determined by startup CRT_fp object.

	2002-04-16  Danny Smith  <dannysmith@users.sourceforge.net>
	* CRT_fp8.c: New file.
	* CRT_fp10.c: New file.
	* crt1.c (__CRT_PC) Declare.
	(__CRT_fesetenv): New static function, using _CRT_PC.
	(__mingw_CRTStartup):Use __CRT_fesetenv instead of _fpreset.
	(_gnu_exception_handler): Likewise.
	* Makefile.in (CRT0S): Add CRT_fp10.o.
	(MINGW_OBJS): Add  CRT_fp8.o.
	(SRCDIST_FILES): Add CRT_fp8.c, CRT_fp10.c.
	Add CRT_fp8.o, CRT_fp10.o dependancies.
	* include/float.h (_fpreset): Expand comment.
	* include/fenv.h (FE_PC64_ENV): New define for Intel x87
	(extended precison) environmemt.
	(FE_PC53_ENV): New define for MSVCRT default environmemt.
	(FE_DFL_ENV): Define as FE_PC53_ENV.
	* mingwex/fesetenv.c: Use FE_PC53_ENV, FE_PC64_ENV to determine
	precision control for default environment.

	* include/math.h: Fix long comment line.
	* profile/configure.in (CRT0S): Set to both gcrt1.o and gcrt2.o
	for mingw.
	* profile/configure: Regenerate.

	2002-04-12  Danny Smith  <dannysmith@users.sourceforge.net>
	* mingwex/Makefile.in (DISTFILES): Add suffix to wcstof.c.

	2002-04-10  Danny Smith  <dannysmith@users.sourceforge.net>
	* mingwex/mingw-fseek.c: New file, based on Mumit Khan
	mingw-local patch to binutils.
	Sun Nov  7 04:27:07 1999  Mumit Khan  <khan@xraylith.wisc.edu>
	(__mingw_fseek): New function to work around Win9x f/lseek bug.
	(__mingw_fwrite): Likewise.
	(__mingw_is_win9x): New helper function.
	* include/stdio.h (__USE_MINGW_FSEEK): New define,guarding...
	(__mingw_fseek): New prototype and define to replace fseek.
	(__mingw_fwrite): New prototype and define to replace fwrite.
	* mingwex/Makefile.in: Add mingw-fseek.o to libmingwex.a.
	* moldname-crtdll.def: Remove CR from end of line.
	* moldname-msvcrt.def: Ditto.

	2002-04-09  Danny Smith  <dannysmith@users.sourceforge.net>
	* profile/configure.in (CRT0S): Configure name of gcrt?.o
	based on target, building gcrt0.o for cygwin -mno-cygwin.
	* profile/configure: Regenerate.
	* profile/Makefile.in (CRT0S): Use name from configure.
	(gcrt0.o): New rule.
	(ALL_CRT0S): New define, used to cleanup all gcrt?.o's.

	2002-04-04  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/math.h (_controlfp, _control87, _clearfp, _statusfp, _fpreset,
	_fpecode): Remove prototypes copied from float.h.
	(nan, nanf): Move into block protected against RC_INVOKED
	and __cplusplus.
	* include/stdlib.h (_Exit): Change from static inline to
	extern inline.
	* mingwex/_Exit.c : New file.
	* mingwex/Makefile.in: Add _Exit.o to libmingwex.a.

	2002-04-04  Danny Smith  <dannysmith@users.sourceforge.net>
	Add libgmon.a and libmingwex.a for cygwin -mno-cygwin.
	* configure.in (SUBDIRS): Add  profile and mingwex to cygwin target.
	(configdirs): Likewise.
	(LIBGMON_A): Define for cygwin target as well.
	* configure: Regenerate.
	* profile/configure.in (THREAD_DLL): Remove define.
	(LIBM_A): Remove define.
	(LIBGMON_A): Define for cygwin target as well.
	* profile/configure: Regenerate.
	* profile/makefile.in (install): Install to inst_libdir and
	inst_includedir.
	* mingwex/makefile.in (CFLAGS): Move -fomit-frame-pointer to...
	(OPTFLAGS): New define.
	(ALL_CFLAGS): Add $(OPTFLAGS).
	(ALL_CXXFLAGS): Same.
	(.c.o:): Remove ALL_CXXFLAGS.

	2002-03-29  Danny Smith  <dannysmith@users.sourceforge.net>
	* include/stdint.h: Add missing newline at eof.
	* include/stdio.h (snprintf): Add prototype.
	(vsnprintf): Add prototype and inline definition.
	(snwprintf): Add prototype.
	(vsnwprintf): Add prototype and inline definition.
	* include/wchar.h (snwprintf): Add prototype.
	(vsnwprintf): Add prototype and inline definition.
	* mingwex/Makefile.in: Add snprintf.o, snwprintf.o
	to libmingwex.a.
	* mingwex/snprintf.c: New file.
	* mingwex/snwprintf.c: New file.

	2002-03-22  Danny Smith   <dannysmith@users.sourceforge.net>
	* configure.in: Add mingwex as SUBDIRS and configdirs.
	* configure: Regenerate.
	* Makefile.in (MINGW_OBJS): Remove dirent.o.
	(SRC_DIST_FILES): Remove dirent.c.
	* dirent.c: Remove.
	* include/stdlib.h (_Exit): Add static inline
	function.
	(struct lldiv_t): Define.
	(lldiv): Add prototype.
	(llabs): Add extern inline function.
	(strtoll,strtoull): Add prototypes.
	(wcstol, wcstoul, wcstod): Group together.
	(strtof, wcstof): Add extern inline definitions.
	(atoll,lltoa,ulltoa, wtoll, lltow ulltow): Add prototypes
	and extern inline definitions.
	* include/wchar.h (fwide, wcstoll,wcstoull, wmemchr
	wmemcmp, wmemcpy, wmemmove, wmemset. mbsinit): Add
	prototypes.
	(wcstol, wcstoul,wcstod): Copy prototypes from stdlib.h.
	(wcstof): Add extern inline definition.
	* include/math.h (nan, nanf): Add prototypes.
	(NAN, INFINITE): Define constants.
	(fpclassify, isnan ,signbit): Add macros and supporting float
	and double functions.
	(isfinite, isinf, isnormal): Add macros.
	(isgreater, isless, isgreaterequal, islessequal,islessgreater):
	Add macros.
	(rint, rintf, round, roundf, trunc. truncf, fmax, fmaxf,
	fmin, fminf, fma, fmaf, log2, log2f): Add prototypes.
	(copysign, logb, nextafter, scalb): Add prototypes and
	inline stubs for underscored versions in msvcrt.dll.
	* include/inttypes.h: New file.
	* include/fenv.h: New file

	Add new mingwex subdir and files.
	* mingwex: New directory.
	* mingwex/Makefile.in: New file.
	* mingwex/configure.in: New file.
	* mingwex/configure: Generate.
	* mingwex/dirent.c: Moved here from parent dir.
	* mingwex/atoll.c: New file.
	* mingwex/feclearexcept.c: New file.
	* mingwex/fegetenv.c: New file.
	* mingwex/fegetexceptflag.c: New file.
	* mingwex/fegetround.c: New file.
	* mingwex/feholdexcept.c: New file.
	* mingwex/feraiseexcept.c: New file.
	* mingwex/fesetenv.c: New file.
	* mingwex/fesetexceptflag.c: New file.
	* mingwex/fesetround.o: New file.
	* mingwex/fetestexcept.c: New file.
	* mingwex/feupdateenv.c: New file.
	* mingwex/fma.S: New file.
	* mingwex/fmaf.S: New file.
	* mingwex/fmax.c: New file.
	* mingwex/fmaxf.c: New file.
	* mingwex/fmin.c: New file.
	* mingwex/fminf.c: New file.
	* mingwex/fp_consts.c: New file.
	* mingwex/fpclassify.c: New file.
	* mingwex/fucom.c: New file.
	* mingwex/fwide.c: New file.
	* mingwex/imaxabs.c: New file.
	* mingwex/imaxdiv.c: New file.
	* mingwex/isnan.c: New file.
	* mingwex/isnanf.c: New file.
	* mingwex/lltoa.c: New file.
	* mingwex/lltow.c: New file.
	* mingwex/log2.c: New file.
	* mingwex/log2f.c: New file.
	* mingwex/math_stubs.c: New file.
	* mingwex/mbsinit.c: New file.
	* mingwex/rint.c: New file.
	* mingwex/round.c: New file.
	* mingwex/signbit.c: New file.
	* mingwex/sitest.c: New file.
	* mingwex/strtof.c: New file.
	* mingwex/strtoimax.c: New file.
	* mingwex/strtoumax.c: New file.
	* mingwex/testwmem.c: New file.
	* mingwex/trunc.c: New file.
	* mingwex/ulltoa.c: New file.
	* mingwex/ulltow.c: New file.
	* mingwex/wcstof.c: New file.
	* mingwex/wcstoimax.c: New file.
	* mingwex/wcstoumax.c: New file.
	* mingwex/wmemchr.c: New file.
	* mingwex/wmemcmp.c: New file.
	* mingwex/wmemcpy.c: New file.
	* mingwex/wmemmove.c: New file.
	* mingwex/wmemset.c: New file.
	* mingwex/wtoll.c: New file.

2002-04-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/mbstring.h: New file.
	* include/mbctype.h: New file.

2002-04-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h (__TEXT): Make same as define in
	w32api/include/winnt.h.

2002-04-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h (_tputenv): Add UNICODE mappings.
	(_tsearchenv): Likewise.
	(_tmakepath): Likewise.
	(_tsplitpath): Likewise.
	(_tfullpath): Likewise.

2002-04-18  Pascal Obry  <obry@gnat.com>

	* dirent.c (opendir): Convert given pathname to
	absolute pathname.

2002-04-09  Earnie Boyd  <earnie@users.sf.net>

	* include/_mingw.h: Increment version.
	* Makefile.in: Ditto.

2002-04-09  Earnie Boyd  <earnie@users.sf.net>

	* moldname-crtdll.def: Remove CR from end of line.
	* moldname-msvcrt.def: Ditto.
	* Makefile.in: Use bzip2 compression for Cygwin target.

2002-04-04  Danny Smith  <dannysmith@sourceforge.users.net>

	* include/math.h (DOMAIN, SING, OVERFLOW, UNDERFLOW,
	TLOSS, PLOSS): Move oldname defines back, following
	the underscored names.

2002-03-29  Danny Smith  <dannysmith@sourceforge.users.net>

	* include/stdio.h (_snwprintf): Correct spelling.
	(_vsnwprintf): Likewise.
	* include/wchar.h (_snwprintf): Correct spelling.
	(_vsnwprintf): Likewise.

2002-03-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* moldname.def.in (__MSVCRT__): Replace with !(__CRTDLL__).
	(wpopen): Add if !(__CRTDLL__).
	* Makefile.in (moldname-msvcrt.def rule): Use -C, not -c to
	preserve comments.
	(moldname-crtdll.def rule): Likewise.
	* moldname-msvcrt.def: Regenerate.
	* moldname-crtdll.def: Regenerate.
	* include/stdio.h (wpopen):Use prototype, not a define.
	(_swnprintf): Add prototype.
	(_vswnprintf): Likewise.
	Tidy up whitespace.
	* include/wchar.h (_swnprintf): Add prototype.
	(_vswnprintf): Likewise.
	Tidy up whitespace.

2002-01-28  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/malloc.h (_heapinfo): Correct structure definition.
	(_USEDENTRY,_FREEENTRY): Add defines.
	Add comment on platform support for _heap* functions.
	(_get_sbh_threshold): Add prototype.
	(_set_sbh_threshold): Likewise.
	(_expand): Likewise.

2002-01-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* profile/profil.c: Update copyright info.
	* profile/profil.h: Likewise.
	* profile/gcrt0.c: Likewise.

2002-01-25  Pascal Obry  <obry@gnat.com>

	* profile/profil.h (PROFADDR): Cast idx to unsigned long long to
	avoid overflow.
	* profile/gmon.c: Define bzero as memset if mingw32.
	(monstartup): Use it.

2002-01-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h (_TCHAR): Add missing ;.

2002-01-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/tchar.h (_TCHAR): Add typedefs.

2002-01-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h (_onexit_t): Add typedef.
	(_onexit): Add prototype.

2002-01-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* msvcrt.def: Revert accidental change.
	* include/stdlib.h: Ditto.

2001-12-07  Earnie Boyd  <earnie@users.sf.net>

	* Makefile.in: Increment VERSION.
	* include/_mingw.h: Ditto.

2001-12-05  Earnie Boyd  <earnie@users.sf.net>

	* include/strings.h: New File.

2001-12-02  Danny Smith  <dannysmith@users.sourceforge.net>

	Apply patches from:
	2001-06-21  Mumit Khan  <khan@nanotech.wisc.edu>

	* include/math.h (_FPCLASS* ): Add defines from float.h.
	(IEEE recommended functions): Add declarations from float.h.
	* include/float.h (_FPCLASS* ): Protect against redefinition.

2001-11-29   Wu Yongwei  <adah@netstd.com>

	* include/_mingw.h,assert.h,conio.h,ctype.h,dir.h,direct.h
	dirent.h,dos.h,errno.h,excpt.h,fcntl.h,float.h,io.h,
	limits.h,locale.h,malloc.h,math.h,process.h,setjmp.h,
	share.h,signal.h,stdarg.h,stddef.h,stdint.h,stdio.h,
	stdlib.h,string.h,tchar.h,time.h,varargs.h,wchar.h,
	wctype.h,sys/stat.h,sys/timeb.h,sys/types.h,sys/utime.h:
	Correct spelling of "disclaimed" in comments.
	* include/excpt.h: Another spelling correction.

2001-11-08  Robert Collins  <rbtcollins@hotmail.com>

	* include/errno.h: Fix "errno is not a prototype" warning.

2001-11-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ctype.h (tolower, toupper,_tolower,_toupper): Comment
	differences between ANSI and non-ANSI versions.
	(_ctype[],_pctype): Declare vars.
	(__ISCTYPE): New helper macro using _pctype.
	(is* ctype functions): Use __ISCTYPE to define inline versions.
	(_toupper, _tolower, __isascii, __toascii, __iscsym, __iscsymf):
	Inline definitions.
	(isw* ctype functions): Inline definitions.
	* include/wctype.h (_ctype[],_pctype): Declare vars.
	(isw* ctype functions): Inline definitions.


2001-11-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/float.h (_clearfp, _statusfp, _fpreset, fpreset,
	__fpecode): Use __STDC__ prototypes.


2001-11-06 Thomas Pfaff <tpfaff@gmx.net>

 	* mthr_stub.c (__mingwthr_remove_key_dtor) New.
 	* mthr_init.c (DllMain) Run dtors if a process terminates.
 	* mthr.c  (__mingwthr_add_key_dtor)  Removed.
 	(___mingwthr_add_key_dtor)  New.
 	(___mingwthr_remove_key_dtor) New.
 	(__mingwthr_run_key_dtors) Complete rewrite.
  	(__mingwthr_remove_key_dtor) New.

2001-11-05  Egor Duda  <deo@logos-m.ru>

	* Makefile.in: Delete unused executable after creating base-files.

2001-11-06  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/errno.h (_errno): Use __STDC__ prototype.
	Thanks to: Jim Barton.

2001-11-04  "stefan" <stefan@lkcc.org>

	* include/sys/locking.h (_LK_UNLCK, LK_UNLCK): Correct names.

2001-10-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/io.h (_commit): Add declaration.
	Thanks to: "stefan" <stefan@lkcc.org>

2001-10-30  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/sys/stat.h: Make S_IS* macros safer.

2001-10-27  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h (EXIT_FAILURE): Change value to 1.

2001-10-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h (__p__environ, __p__wenviron): Use
	__STDC__ prototypes.

2001-09-19  Earnie Boyd  <earnie@SF.net>

	* Makefile.in: Remove the /usr from the install target.
	(VERSION): Increment.
	include/_mingw.h: Ditto.

2001-09-17  Earnie Boyd  <earnie@SF.net>

	* Makefile.in: Increment version.
	* include/_mingw.h: Ditto.

2001-09-10  Earnie Boyd  <earnie@SF.net>

	* dossh: Remove inadvertantly imported file.

2001-09-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* dirent.c (opendir): Use GetFileAttributes rather than stat
	to determine if input arg is dir.

2001-08-29  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdarg.h (va_list): Typedef as __builtin_va_list if
	__GNUC__ >= 3.
	* include/varargs.h (va_list): Ditto.
	* include/stdio.h (va_list): Ditto.

2001-08-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/stdlib.h (_wpgmptr): Don't declare ifndef __MSVCRT__.
	* include/stdio.h (_IORW): Change constant to 0x0080.
	(TMP_MAX): Add new define.
	(_P_tmpdir): Ditto.
	(_wP_tmpdir): Ditto.
	(L_tmpnam): Change constant to 16.

2001-06-28  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/malloc.h: Fix non-ANSI comment after #endif.

2001-06-11  Danny Smith  <danny_r_smith_2001@yahoo.co.nz>

	* profile/configure.in: Make msvcrt.dll version default.
	* profile/makefile.in: Build both gcrt1.o and gcrt2.o.
	* provile/configure: Regenerate.

2001-06-11  Mattia Barbon  <mbarbon@dsi.unive.it>

	* include/stdio.h (swscanf): Make first arugument const.
	* include/wchar.h (swscanf): Ditto.
	* include/tchar.h (_tfopen): New _UNICODE define.
	(_tgetenv): Ditto.
	(_tsetlocale): Ditto.

2001-06-04  Earnie Boyd  <earnie@users.sourceforge.net>

	* profile/Makefile.in (mkinstalldirs): Correct relative path.

2001-06-04  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/_mingw.h: Change version to 1.0.
	Makefile.in: Ditto.

2000-02-21  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/tchar.h: (__TEXT): Remove undef.
	(_TEXT): Ditto.
	(_T): Ditto.

Fri Feb  2 10:34:07  2001  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/tchar.h: (__TEXT): Add private macro.
	(_TEXT): Modify definition to use __TEXT.
	(_T): Ditto.
	This change allows the passing of a MACRO as an argument and have that
	MACRO resolved first.
	Thanks to: Eric PAIRE <eric.paire@ri.silicomp.com>

Wed Jan 31 17:12:51  2001  Earnie Boyd  <earnie@users.sourceforge.net>

	* Makefile.in: Increment version to 0.5
	* include/_mingw.h: Increment minor version

Tue Jan 30 13:01:01  2001  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/assert.h: (assert): Remove ; from end of definition
	Thanks to: AJ Reins <tbisp@qwest.net>

Tue Jan 30 07:31:22  2001  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/time.h: (CLOCKS_PER_SEC): Type cast the constant.
	Thanks to: Cosmin Truta  <cosmin@cs.toronto.edu>

Mon Jan 29 14:03:07  2001  Earnie Boyd  <earnie@users.sourceforge.net>

	* time.h: (CLOCKS_PER_SEC) Change from FP to  integer constant.

Sun Jan 28 13:01:08  2001  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/wchar.h: The 2001.01.18 Change was incorrect.  The functions
	are actually C functions.  These functions are resolved via the
	-lmsvcp60 library and comments were placed in the header.

2001-01-28  Danny Smith  <danny_r_smith_2001@yahoo.co.nz>

	*include/stdlib.h (__p__pgmptr): add prototype.
	(__p__wpgmptr): likewise.
	(_pgmptr_dll): move declaration from dos.h.
	(_wpgmptr_dll): likewise.
	(_pgmptr): conditional define (MSVCT/CRTDLL).
	(_wpgmptr): likewise.
	*include/dos.h (_base*_dll variables): declare only for CRTDLL.
	(_os*_dll variables): likewise.
	(_pgmptr_dll): remove declaration and associated defines to stdlib.h.
	(_wpgmptr_dll): likewise.

2001-01-22  Danny Smith  <danny_r_smith_2001@yahoo.co.nz>

	* include/stdint.h: New file.

Thu Jan 18 10:33:01  2001  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/wchar.h: Protect prototypes only declared in the C++ STL
	from being declared unless __cplusplus is defined.

Tue Jan 16 11:37:31  2001  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/stdlib.h: Apply Danny Smith patch 102730
	2000-12-09  Danny Smith  <danny_r_smith_2001@yahoo.co.nz>
	(_wgetenv) Correction to return type.

Tue Jan 16 09:41:41  2001  Earnie Boyd  <earnie@users.sourceforge.net>

	* include/locale.h: Apply Danny Smith patch 101834
	2000-11-23  Danny Smith  <danny_r_smith_2001@yahoo.co.nz>
	(LC_MIN) Add definition.
 	(LC_MAX) ditto.
	(_wsetlocale) Add prototype.

2000-11-29  Earnie Boyd  <earnie_boyd@yahoo.com>

	* Makefile.in: eliminate the need for RUNTIME and CRT_ID.
	Always build crt1.o, dllcrt1.o, crt2.o and dllcrt2.o.
	Create a libcoldname.a for the oldname library for CRTDLL.
	Restrict libmoldname.a for the oldname library for MSVCRT.
	* configure.in: eliminate setting RUNTIME and CRT_ID variables.
	Restructure the $target_os case logic.
	Always name the MinGW thread dll helper mingwm.
	Change Cygwin's HEADER_SUBDIR value from mingw32 to mingw.
	* configure: regenerate.

2000-11-22  Earnie Boyd  <earnie_boyd@yahoo.com>

	* Makefile.in: Fix bindist target to distribute the correct files.
	Remove the use of SNAPSHOT variable and test SNAPDATE instead.
	Set SNAPDATE within the snapshot target on recursive call to $(MAKE).

2000-11-21  Earnie Boyd  <earnie_boyd@yahoo.com>

	* Makefile.in: Add missing line continuation `\' for $(SUBDIRS) target.
	Add variables and targets to control binary and source distributions.
	Add variables and targets to control snapshot distribution.
	* profile/gmon.h: Add missing #endif for #ifndef.
	* profile/ChangeLog: Merge entries here and remove.
	* profile/Makefile.in: Add variables and targets to control
	distribution.
	* README: Add.
	* TODO: ditto.
	* config.guess: ditto.
	* config.sub: ditto.
	* mkinstalldirs: ditto.
	* install-sh: ditto.
	* configure: regenerate.
	* profile/configure: ditto.

2000-11-20  Earnie Boyd  <earnie_boyd@yahoo.com>

	* Merge in changes from
	2000-10-23  Danny Smith  <danny_r_smith_2001@yahoo.co.nz>
	* include/direct.h: add guard around MSVCRT-only prototytpes
	* include/io.h: add __int64 struct definitions and function prototypes;
		 add guard for MSVCRT-only prototypes
	* include/limits.h: add ISO C9x macros LLONG_MIN, LLONG_MAX, ULLONG_MAX
	* include/stdio.h: add wchar function prototypes (__MSVCRT__);
		 put wchar functions together to make sync with wchar.h easier
	* include/stdlib.h: add wide char functions (__MSVCRT__)
	* include/string.h: add string collation functions ( __MSVCRT__)
	* include/sys/stat.h: add __int64 struct and function ( __MSVCRT__)
	* include/tchar.h: add macros and macro function definitions
	* include/wchar.h: add wide char function prototypes ( __MSVCRT__ );
		enclose more functions in __MSVCRT__ guard;
		some oldname wide char function prototypes #if (0)'d
	* profile/gmon.h: add guard around BSD-ish typedefs

Mon Nov 20 18:58:12 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.in: Use a different variable name for subdirectory since the
	previous one was used by the top level make.

Sun Nov 19 20:50:51 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.in: Install mingw stuff in a subdirectory if building under
	cygwin.

Sat Jun 17 21:48:23 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.in (subdirs): Eliminate for loop.

Sat Jun 17 18:27:59 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.in (subdirs): Previous change did not fix problem in
	broken shells.

Sat Jun 17 13:49:12 2000  Christopher Faylor <cgf@cygnus.com>

	* Makefile.in: Avoid installing dll if we're cross building and the
	cross-host system isn't a Windows system.
	* configure.in: Detect cross-hosting situation and set appropriate
	variables in Makefile.in.
	* configure: Regenerate.

Wed Apr 19 13:10:54 2000  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Change HEADER_SUBDIR to mingw32.
	* configure: Regenerate.

Mon Apr 10 17:24:28 2000  Christopher Faylor <cgf@cygnus.com>

	* include/string.h: Use proper prototype for _strerror.

2000-03-30  Mumit Khan  <khan@xraylith.wisc.edu>

	* Makefile.in (subdirs): Workaround for broken shells.

2000-02-03  Mumit Khan  <khan@xraylith.wisc.edu>

	* Snapshot 2000-02-03.

	* include/{assert.h, conio.h, ctype.h, direct.h, dirent.h, fcntl.h,
	float.h, io.h, locale.h, malloc.h, math.h, process.h, signal.h,
	stdio.h, stdlib.h, string.h, time.h, wctype.h, sys/stat.h,
	sys/timeb.h, sys/utime.h}: Remove parameter names to avoid namespace
	pollution.

	* Makefile.in (all): Build CRT0S first.
	(libmingwthrd.a): Remove thread support DLL from dependency.

2000-01-21  Mumit Khan  <khan@xraylith.wisc.edu>

	* Snapshot 2000-01-21.

2000-01-20  Mumit Khan  <khan@xraylith.wisc.edu>

	Merge in changes from Cygwin:
	* configure.in (HEADER_SUBDIRS): New variable. Substitute.
	(SUBDIRS): Likewise.
	* Makefile.in (HEADER_SUBDIRS): New variable.
	(install): Use to install Mingw headers to a subdirectory if building
	under Cygwin.
	(DLL_CC_STUFF): Add DLL entry point.
	* configure: Regenerate.

2000-01-19  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/stdio.h (fsetpos): Fix prototype.
	(fpos_t): Fix for MSVCRT.
	* include/float.h (fpreset): Add prototype.
	* include/limits.h: Define UINT_MAX, USHRT_MAX and ULONG_MAX with
	constant values.
	* include/time.h: Don't define tzname as a macro for CRTDLL, and
	export using libmoldname.a.
	* crtdll.def: Add DATA tags.
	* msvcrt.def: Likewise.
	* moldname.def.in: Likewise. Add fpreset. Export tzname for
	both MSVCRT and CRTDLL.
	* moldname-crtdll.def: Regenerate.
	* moldname-msvcrt.def: Regenerate.

Tue Dec 21 02:22:14 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* Snapshot 1999-12-21.

	* include/wctype.h: New file.
	* include/ctype.h (MB_CUR_MAX): Define.
	(wctype_t): Guard.
	* include/stdlib.h (MB_CUR_MAX): Define.
	* include/wchar.h: Define stat, _stat structures here as well.
	* include/float.h: Add invalid subconditions (_SW) and floating
	point error (_FPE) macros.
	* include/time.h (_CLOCK_T): Rename macro to _CLOCK_T_DEFINED.
	(_TIME_T): Rename macro to _TIME_T_DEFINED.
	* include/sys/types.h: Likewise.

Thu Nov 18 00:22:26 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* profile/profil.c (profile_on): Set the profiler thread priority to
	be time critical. Thanks to Pascal Obry <pascal_obry@csi.com>.
	* Snapshot 1999-11-18.

Sun Nov  7 02:50:09 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	Released 1999-11-07.

	* Makefile.in (CRT0S): Add crtst.o.
	(install): Install in subdirs as well.
	* dirent.h (struct _stat): Rename from struct stat.
	* include/tchar.h: Add some new macros. Thanks to
	Eric Kohl <ekohl@abo.rhein-zeitung.de>.
	* profile/Makefile.in (install): Fix target.

Thu Nov  4 14:32:58 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* Makefile.in: Add support for profile directory.
	* configure.in: Likewise.
	* configure: Regenerate.

	* profile: Imported profiling sources from winsup-19991026 snapshot.
	* profile/Makefile.in: New file.
	* profile/configure.in: New file.
	* profile/configure: Generate.
	* profile/gcrt0.c (u_char, u_short, u_int, u_long): typedef for Mingw.
	* profile/gmon.h (u_char, u_short, u_int, u_long): Likewise.
	* profile/gmon.c (unistd.h): Include conditionally.
	(sys/param.h): Likewise.
	* profile/mcount.c (sys/param.h): Likewise.
	* profile/profil.c (profile_on): thread id is DWORD, not int.


Wed Nov  3 16:26:44 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/stdlib.h: Add wide character version of argv/environ.
	Formatting changes.
	* include/wchar.h: More wide character prototypes.
	* include/sys/stat.h: Likewise. Add struct stat as well as _stat.

	* dllcrt1.c (init.c): Don't include.
	(DllMainCRTStartup): Don't call _mingw32_init_mainargs().
	* Makefile.in: Remove init.c from dllcrt{1,2}.c dependency lists.

Sat Oct 30 03:06:26 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* moldname.def: Remove file.
	* moldname.def.in: And add this.
	* moldname-msvcrt.def: Generate from moldname.def.in.
	* moldname-crtdll.def: Likewise.

	* mthr.c: New file for -mthread (thread-safe C++ EH) support.
	* mthr_init.c: New file for -mthread (thread-safe C++ EH) support.
	* mthr_stub.c: New file for -mthread (thread-safe C++ EH) support.

	* Makefile.in: Update.
	* configure.in: Likewise. Also add *cygwin* target for building
	under Cygwin winsup.
	* configure: Regenerate.

Fri Oct  1 11:10:30 1999 Mumit Khan  <khan@xraylith.wisc.edu>

	* include/_mingw.h: Add version macros.
	* include/direct.h (_diskfree_t, getdiskfree, getdrives):  Add.
	Also add wide character versions shared with wchar.h.
	* include/dos.h (_diskfree_t, getdiskfree, getdrives):  Add.
	* include/io.h (sopen, _sopen): Fix prototype.
	Add wide character prototypes.
	* include/wchar.h: Likewise.
	* include/stdlib.h (beep, seterrormode, sleep): Remove non-
	underscored versions. Potential incompatibility.
	* include/time.h (daylight, timezone, tzname): Fix MSVCRT cases.
	Add wide character prototypes.
	* include/sys/timeb.h (struct _timeb): Don't use macro, but real
	definition.

Wed Aug 18 18:38:39 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* configure.in (RUNTIME, CRT_ID): Add to differentiate between
	crtdll and msvcrt runtimes. Remove DLL_ENTRY and DEF_DLL_ENTRY
	macros.
	* configure: Rengerate.
	* Makefile.in (RUNTIME, CRT_ID): Use to generate the correct
	dll name and crt's. CRTDLL and MSVCRT are meant to created
	separately, so remove all the *-msvcrt* targets.
	(libmingwthr.a): New target. Dummy thread support archive.
	(LIBS): Add libmingwthr.a.
	(CRT0S): Use CRT_ID. Add crtmt.o.
	(MINGW_OBJS): Add crtst.o.
	* main.c (WinMain): Fix prototype.
	* crtmt.c: New file.
	* crtst.c: New file.

	* include/process.h (_beginthreadex): Fix prototype.
	* include/_mingw.h (__int64): Define for __GNUC__.
	* include/tchar.h (_ttol): Add macro.
	* include/stdlib.h (_wtoi, _wtol, _i64toa, _ui64toa, _atoi64,
	_i64tow, _ui64tow, _wtoi64): Add prototypes.

	Reported by Emanuele Aliberti <ea@iol.it>:
	* include/tchar.h (_ttoi): Add macro.

	Reported by Ulf Moeller <3umoelle@informatik.uni-hamburg.de>:
	* include/stdio.h (_snprintf): Add prototype.
	(_vsnprintf): Likewise.

Sat Aug  7 18:00:00 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	Reported by Tor Lillqvist <tml@iki.fi>:
	* include/stdlib.h (__p___argv): Fix return type.

Fri Jul 30 22:07:06 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	Add UWIN support.
	* include/errno.h (errno): It's linked in from startup, not imported.
	* include/stdlib.h (errno): Likewise.
	* include/io.h: Guard against conflicting macros and prototypes in
	system headers.
	* include/stdlib.h: Likewise.
	* include/string.h: Likewise.
	* include/time.h: Likewise.

Fri Jul 30 13:47:34 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/io.h (X_OK): Fix definition. Thanks to Jan Nijtmans.
	* include/dos.h: Fix typo __MINGW_EXPORT->__MINGW_IMPORT.
	* Makefile.in (INCLUDES): Remove old windows32 include directory.

	* crt1.c (_gnu_exception_handler): Fix prototype.
	(__mingw_CRTStartup): New function based on mainCRTStartup.
	(mainCRTStartup): Set the app type for MSVCRT and call
	__mingw_CRTStartup.
	(WinMainCRTStartup): Likewise.
	* init.c (_startupinfo): Define.
	(_getmainargs): Add 5th parameter.
	(_mingw32_init_mainargs): Use.

	* ALL *.c files: Reformat according to GNU coding style.

Fri Jul 16 00:46:04 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* Makefile.in (INCLUDES): Add w32api include directory.

	* include/_mingw.h: New file.
	* include/{assert.h,conio.h,ctype.h,direct.h,dirent.h,dos.h,
	  errno.h,excpt.h,fcntl.h,float.h,io.h,limits.h,locale.h,malloc.h,
	  math.h,process.h,setjmp.h,share.h,signal.h,stdarg.h,stdio.h,
	  stdlib.h,string.h,tchar.h,time.h,varargs.h,sys/locking.h,
	  sys/stat.h,sys/timeb.h,sys/types.h,sys/utime.h}: Include and
	  use the macros __DECLSPEC_SUPPORTED  and __MINGW_IMPORT.

	* include/stdlib.h (atexit): Fix prototype.

Mon Jun 14 18:38:49 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/stdio.h (_tempnam): Fix prototype.
	(tempnam): Likewise.
	* include/stdlib.h: Replace with GCC's version, and guard
	with RC_INVOKED.

	From Anders Norlander <anorland@hem2.passagen.se>:
	* include/stdlib.h (__argc): Declare.
	(__argv): Likewise.

Mon Apr  5 13:49:17 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* crt1.c (_gnu_exception_handler): Acknowledge Jacob Navia's
	contribution.
	* Makefile.in (_libm_dummy.o): New target.
	(libm.a): Use.

Tue Mar 16 18:15:26 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* Released 1999-03-16 along with egcs-1.1.2.

Wed Feb 17 17:15:56 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* Makefile.in (LIBS): Add libm.a.
	(libm.a): Dummy libm.a.

	* Makefile.in: Update from winsup 1999-02-08 snapshot.
	Preserve local changes.
	(mkinstalldirs): In ../, not ../../.
	(INCLUDES): Point to local windows32api headers and use -nostdinc.
	(LIBGCC): Delete.
	(LIBS): Add libmoldname-msvc.a.
	(libmoldname-msvc.a): Add target.
	(distclean): Add target.

Tue Feb  9 00:26:05 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/dir.h: Reintroduce as an obsolescent header.
	* crt1.c (signal.h): Include.
	(_gnu_exception_handler): New function to properly handle win32
	asynchronous signals.
	(mainCRTStartup): Use.

Sun Jan  3 23:52:25 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/direct.h: Include io.h instead of dir.h
	* include/dirent.h: Likewise.
	* include/dos.h: Likewise.
	* include/stdio.h: Replace reference to dir.h with io.h.

Thu Dec 31 16:04:55 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* 1999-01-01 release bundled with egcs-1.1.1.

	* include/io.h: Incorporate dir.h.
	* include/dir.h: Remove.
	* include/signal.h: Move RC_INVOKED up a bit.

Tue Dec 29 15:04:38 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/signal.h (sig_atomic_t): Define.
	(NSIG): Define.
	* include/malloc.h: Import defs from deprecated alloc.h.
	* include/alloc.h: Remove.

	From "Daniel J. Rodriksson" <djr@dit.upm.es>:
	* include/sys/types.h (_dev_t): Should be unsigned int for MSVCRT.
	* include/sys/stat.h (struct stat): st_uid is of type short. Use
	_off_t instead of long for st_size.

Thu Sep 10 22:28:49 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/errno.h (sys_errlist, sys_nerr): Move from here ...
	* include/stdlib.h: Here.

	* include/netdb.h: Remove.
	* include/arpa/inet.h: Remove.
	* include/netinet/in.h: Remove.
	* include/sys/socket.h: Remove.

Fri Sep  4 15:09:11 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* Release egcs-1.1.

	* include/{ctype.h,dos.h,io.h,string.h,time.h,sys/types.h,
	sys/utime.h}: Protect stddef.h in RC_INVOKED macro.

Thu Sep  3 10:43:29 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* setjmp.h (_JBTYPE, _JBLEN): Define correctly.
	(jmpbuf): typedef using above.
	(setjmp, longjmp): Prototype using jmpbuf.

	Merge with Colin Peters' 980701 snapshot. I've ignored changes to
	obsolescent imported names, ie., from __imp__ to _imp___.

	Also ignored empty include/sys/param.h and incorrect
	include/sys/times.h.

	* CRTinit.c: New file.
	* include/{errno.h,fcntl.h,math.h,process.h} (__MSVCRT__): Use #ifdef
	instead of #if.
	* include/io.h (umask): Fix prototype.
	* include/stdlib.h (OS constants): Replace with Colin's.
	* include/time.h (tzset, daylight, timezone): Replace with Colin's.
	* include/sys/state.h: Merge.

Thu Sep  3 09:49:07 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/assert.h (assert): Lose the trailing semicolon.

Thu Jul 30 21:18:49 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/math.h (matherr): Declare.
	* include/stdio.h (fileno, _fileno): Declare.
	* include/stdlib.h (environ, _environ): Fix to use runtime DLL.

	From Earnie Boyd:
	* include/stdio.h (fdopen, _fdopen): Add const.
	(getw, putw): Declare.
	* include/stdlib.h (MAX_{DRIVE,DIR,FNAME,EXT}): Fix.

Sat Jun 13 18:19:41 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/time.h (_timezone): Undefine.
	* include/sys/timeb.h (struct timeb): Rename _timezone to timezone.

	* include/time.h (_daylight, _timezone, _tzname, _tzset): Remove
	__cdecl for MSVCRT.
	* include/stdlib.h (environ): Use DLL version.
	* init.c (environ): Undefine it before use.

Sun Mar 22 19:59:30 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* Update to 980309 snapshot from Colin Peters.

	* include/utime.h: remove
	* include/stdlib.h (__imp__osver_dll, __imp__winver_dll,
	__imp__winmajor_dll, __imp__winminor_dll): Apply Jan-Jaap's
	patches to define these.
	* include/time.h (CLK_TCK): Renamed from CLK_TICK.
	(_daylight, _timezone, _tzname, _tzset): Define.

	* include/netdb.h: Add from Colin's windows32api changes.
	* include/sys/socket.h: Likewise.
	* include/arpa/inet.h: Likewise.
	* include/netinet/in.h: Likewise.

Wed Feb  4 14:16:44 1998  Mumit Khan  <khan@xraylith.wisc.edu>

	* Update to 980128 snapshot from Colin Peters.

Sat Dec  6 21:30:35 1997  Mumit Khan  <khan@xraylith.wisc.edu>

	* configure.in (AC_INIT): Use dllmain.c instead of defunct
	oldnames.c
	* configure: Regenerate.

Fri Dec  5 15:57:36 1997  Mumit Khan  <khan@xraylith.wisc.edu>

	* Update to 971205 snapshot from Colin Peters. Lots of changes.
	Files renamed and include hierarchy loses directories named
	nonansi.

	* include/dos.h: from Jan-Jaap.

Thu Dec  4 21:48:13 1997  Mumit Khan  <khan@xraylith.wisc.edu>

	Changes to conform to FSF tree.

	* crt1.c: Renamed from mcrt0.c.
	* dllcrt1.c: Renamed from dllcrt0.c.
	* Makefile.in: Update above. Also renamed libmoldnames.a to
	libmoldname.a.

Mon Dec  1 16:51:30 1997  Mumit Khan  <khan@xraylith.wisc.edu>

	* crtdll.def: Export all functions but the ones with funny names.
	* moldnames.def: Add fdopen since fileno is already there.
	* include/nonansi/dos.h: New file from Jan-Jaap.
	* include/errno.h: Add extern decl + various additions from JJ.
	* include/stdio.h: Likewise.
	* include/stdlib.h: Likewise.
	* include/nonansi/io.h: Likewise.
	* include/nonansi/process.h: Likewise.
	* include/sys/types.h: Likewise.

Tue Nov  4 14:51:01 1997  Mumit Khan  <khan@xraylith.wisc.edu>

	* include/time.h (CLK_TCK): Renamed from CLK_TICK.
	(CLK_TICK): Delete.
	* include/stdlib.h (free): Fix prototype to return void, not void*.
	* include/nonansi/process.h: Add P_* and WAIT_* defs.

	* dllcrt0.c: Delete now-unneeded '.section .idata$3' asm hack.
	* mcrt0.c: Likewise.

	* Makefile.in (LIBS): Delete moldnames.dll from target libs.
	(libmoldnames.a): Add explicit rule to create it.

Fri Aug 15 18:23:43 1997  Rob Savoye  <rob@cygnus.com>

	New directory for the minimalist cygwin environment.

	* crtglob.c: New file. Turn on file globbing support.
	* crt_noglob.c: New file. Turn off file globbing support.
	* ctype_old.c: New file. Wrappers for functions that don't
	have an underscore.
	* dirent.c: New file. Directory routines readdir, opendir, closedir.
	* dllcrt0.c: New file. Initialization code to use crtdll.dll.
	* dllmain.c: New file. A stub DllMain function.
	* hugeval.c: New file. A gross hack to define HUGE_VAL.
	* init.c: New file. Common code to initialize standard file
	handles and command line arguments.
	* main.c: New file. A main for programs that only call WinMain.
	* mcrt0.c: New file. Default crt0 for mingw32.
	* oldnames.c: New File. Wrappers for functions that don't
	have an underscore.
	* string_old.c:  New File.
	* include/{assert.h,ctype.h,errno.h,float.h,limits.h,locale.h
	math.h,nonansi,setjmp.h,signal.h,stdarg.h,stddef.h,stdio.h,stdlib.h
	string.h,tchar.h,time.h,wchar.h}: New header files for mingw.
	* include/sys/types.h: New header file for mingw.
	* include/nonansi/{alloc.h,conio.h,dir.h,direct.h,dirent.h
	fcntl.h,io.h,malloc.h,mem.h,memory.h,process.h,share.h,unistd.h
	utime.h,values.h,varargs.h}: New header files for mingw.
	* include/nonansi/sys/{fcntl.h,locking.h,stat.h,time.h
	timeb.h,unistd.h}: New header files for mingw.
	* Makefile.in,configure.in: Build and configure support.
	* configure: Generated from autoconf 2.12 with Cygnus patches.
